diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 7f01fcc148..4d9a6a624d 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -56,12 +56,12 @@
    one time.  (One reason to do that is to access more than one
    database.)  Each connection is represented by a
    <structname>PGconn</structname><indexterm><primary>PGconn</primary></indexterm> object, which
-   is obtained from the function <function>PQconnectdb</function>,
-   <function>PQconnectdbParams</function>, or
-   <function>PQsetdbLogin</function>.  Note that these functions will always
+   is obtained from the function <xref linkend="libpq-fun-pqconnectdb"/>,
+   <xref linkend="libpq-fun-pqconnectdbparams"/>, or
+   <xref linkend="libpq-fun-pqsetdblogin"/>.  Note that these functions will always
    return a non-null object pointer, unless perhaps there is too
    little memory even to allocate the <structname>PGconn</structname> object.
-   The <function>PQstatus</function> function should be called to check
+   The <xref linkend="libpq-fun-pqstatus"/> function should be called to check
    the return value for a successful connection before queries are sent
    via the connection object.
 
@@ -108,7 +108,7 @@
 
    <variablelist>
     <varlistentry id="libpq-pqconnectdbparams">
-     <term><function>PQconnectdbParams</function><indexterm><primary>PQconnectdbParams</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconnectdbparams">PQconnectdbParams</function><indexterm><primary>PQconnectdbParams</primary></indexterm></term>
      <listitem>
       <para>
        Makes a new connection to the database server.
@@ -125,10 +125,10 @@ PGconn *PQconnectdbParams(const char * const *keywords,
        from two <symbol>NULL</symbol>-terminated arrays. The first,
        <literal>keywords</literal>, is defined as an array of strings, each one
        being a key word. The second, <literal>values</literal>, gives the value
-       for each key word. Unlike <function>PQsetdbLogin</function> below, the parameter
+       for each key word. Unlike <xref linkend="libpq-fun-pqsetdblogin"/> below, the parameter
        set can be extended without changing the function signature, so use of
-       this function (or its nonblocking analogs <function>PQconnectStartParams</function>
-       and <function>PQconnectPoll</function>) is preferred for new application
+       this function (or its nonblocking analogs <xref linkend="libpq-fun-pqconnectstartparams"/>
+       and <xref linkend="libpq-fun-pqconnectpoll"/>) is preferred for new application
        programming.
       </para>
 
@@ -173,7 +173,7 @@ PGconn *PQconnectdbParams(const char * const *keywords,
     </varlistentry>
 
     <varlistentry id="libpq-pqconnectdb">
-     <term><function>PQconnectdb</function><indexterm><primary>PQconnectdb</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconnectdb">PQconnectdb</function><indexterm><primary>PQconnectdb</primary></indexterm></term>
      <listitem>
       <para>
        Makes a new connection to the database server.
@@ -200,7 +200,7 @@ PGconn *PQconnectdb(const char *conninfo);
     </varlistentry>
 
     <varlistentry id="libpq-pqsetdblogin">
-     <term><function>PQsetdbLogin</function><indexterm><primary>PQsetdbLogin</primary></indexterm></term>
+     <term><function id="libpq-fun-pqsetdblogin">PQsetdbLogin</function><indexterm><primary>PQsetdbLogin</primary></indexterm></term>
      <listitem>
       <para>
        Makes a new connection to the database server.
@@ -216,7 +216,7 @@ PGconn *PQsetdbLogin(const char *pghost,
        </para>
 
        <para>
-        This is the predecessor of <function>PQconnectdb</function> with a fixed
+        This is the predecessor of <xref linkend="libpq-fun-pqconnectdb"/> with a fixed
         set of parameters.  It has the same functionality except that the
         missing parameters will always take on default values.  Write <symbol>NULL</symbol> or an
         empty string for any one of the fixed parameters that is to be defaulted.
@@ -226,14 +226,14 @@ PGconn *PQsetdbLogin(const char *pghost,
         If the <parameter>dbName</parameter> contains
         an <symbol>=</symbol> sign or has a valid connection <acronym>URI</acronym> prefix, it
         is taken as a <parameter>conninfo</parameter> string in exactly the same way as
-        if it had been passed to <function>PQconnectdb</function>, and the remaining
-        parameters are then applied as specified for <function>PQconnectdbParams</function>.
+        if it had been passed to <xref linkend="libpq-fun-pqconnectdb"/>, and the remaining
+        parameters are then applied as specified for <xref linkend="libpq-fun-pqconnectdbparams"/>.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqsetdb">
-     <term><function>PQsetdb</function><indexterm><primary>PQsetdb</primary></indexterm></term>
+     <term><function id="libpq-fun-pqsetdb">PQsetdb</function><indexterm><primary>PQsetdb</primary></indexterm></term>
      <listitem>
       <para>
    Makes a new connection to the database server.
@@ -247,7 +247,7 @@ PGconn *PQsetdb(char *pghost,
      </para>
 
      <para>
-      This is a macro that calls <function>PQsetdbLogin</function> with null pointers
+      This is a macro that calls <xref linkend="libpq-fun-pqsetdblogin"/> with null pointers
       for the <parameter>login</parameter> and <parameter>pwd</parameter> parameters.  It is provided
       for backward compatibility with very old programs.
      </para>
@@ -255,9 +255,9 @@ PGconn *PQsetdb(char *pghost,
     </varlistentry>
 
     <varlistentry id="libpq-pqconnectstartparams">
-     <term><function>PQconnectStartParams</function><indexterm><primary>PQconnectStartParams</primary></indexterm></term>
-     <term><function>PQconnectStart</function><indexterm><primary>PQconnectStart</primary></indexterm></term>
-     <term><function>PQconnectPoll</function><indexterm><primary>PQconnectPoll</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconnectstartparams">PQconnectStartParams</function><indexterm><primary>PQconnectStartParams</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconnectstart">PQconnectStart</function><indexterm><primary>PQconnectStart</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconnectpoll">PQconnectPoll</function><indexterm><primary>PQconnectPoll</primary></indexterm></term>
      <listitem>
       <para>
        <indexterm><primary>nonblocking connection</primary></indexterm>
@@ -279,26 +279,26 @@ PostgresPollingStatusType PQconnectPoll(PGconn *conn);
        that your application's thread of execution is not blocked on remote I/O
        whilst doing so. The point of this approach is that the waits for I/O to
        complete can occur in the application's main loop, rather than down inside
-       <function>PQconnectdbParams</function> or <function>PQconnectdb</function>, and so the
+       <xref linkend="libpq-fun-pqconnectdbparams"/> or <xref linkend="libpq-fun-pqconnectdb"/>, and so the
        application can manage this operation in parallel with other activities.
       </para>
 
       <para>
-       With <function>PQconnectStartParams</function>, the database connection is made
+       With <xref linkend="libpq-fun-pqconnectstartparams"/>, the database connection is made
        using the parameters taken from the <literal>keywords</literal> and
        <literal>values</literal> arrays, and controlled by <literal>expand_dbname</literal>,
-       as described above for <function>PQconnectdbParams</function>.
+       as described above for <xref linkend="libpq-fun-pqconnectdbparams"/>.
       </para>
 
       <para>
-       With <function>PQconnectStart</function>, the database connection is made
+       With <xref linkend="libpq-fun-pqconnectstart"/>, the database connection is made
        using the parameters taken from the string <literal>conninfo</literal> as
-       described above for <function>PQconnectdb</function>.
+       described above for <xref linkend="libpq-fun-pqconnectdb"/>.
       </para>
 
       <para>
-       Neither <function>PQconnectStartParams</function> nor <function>PQconnectStart</function>
-       nor <function>PQconnectPoll</function> will block, so long as a number of
+       Neither <xref linkend="libpq-fun-pqconnectstartparams"/> nor <xref linkend="libpq-fun-pqconnectstart"/>
+       nor <xref linkend="libpq-fun-pqconnectpoll"/> will block, so long as a number of
        restrictions are met:
        <itemizedlist>
         <listitem>
@@ -311,7 +311,7 @@ PostgresPollingStatusType PQconnectPoll(PGconn *conn);
 
         <listitem>
          <para>
-          If you call <function>PQtrace</function>, ensure that the stream object
+          If you call <xref linkend="libpq-fun-pqtrace"/>, ensure that the stream object
           into which you trace will not block.
          </para>
         </listitem>
@@ -319,7 +319,7 @@ PostgresPollingStatusType PQconnectPoll(PGconn *conn);
         <listitem>
          <para>
           You must ensure that the socket is in the appropriate state
-          before calling <function>PQconnectPoll</function>, as described below.
+          before calling <xref linkend="libpq-fun-pqconnectpoll"/>, as described below.
          </para>
         </listitem>
        </itemizedlist>
@@ -327,8 +327,8 @@ PostgresPollingStatusType PQconnectPoll(PGconn *conn);
 
       <para>
        To begin a nonblocking connection request,
-       call <function>PQconnectStart</function>
-       or <function>PQconnectStartParams</function>.  If the result is null,
+       call <xref linkend="libpq-fun-pqconnectstart"/>
+       or <xref linkend="libpq-fun-pqconnectstartparams"/>.  If the result is null,
        then <application>libpq</application> has been unable to allocate a
        new <structname>PGconn</structname> structure.  Otherwise, a
        valid <structname>PGconn</structname> pointer is returned (though not
@@ -339,14 +339,14 @@ PostgresPollingStatusType PQconnectPoll(PGconn *conn);
       </para>
 
       <para>
-       If <function>PQconnectStart</function>
-       or <function>PQconnectStartParams</function> succeeds, the next stage
+       If <xref linkend="libpq-fun-pqconnectstart"/>
+       or <xref linkend="libpq-fun-pqconnectstartparams"/> succeeds, the next stage
        is to poll <application>libpq</application> so that it can proceed with
        the connection sequence.
        Use <function>PQsocket(conn)</function> to obtain the descriptor of the
        socket underlying the database connection.
        (Caution: do not assume that the socket remains the same
-       across <function>PQconnectPoll</function> calls.)
+       across <xref linkend="libpq-fun-pqconnectpoll"/> calls.)
        Loop thus: If <function>PQconnectPoll(conn)</function> last returned
        <symbol>PGRES_POLLING_READING</symbol>, wait until the socket is ready to
        read (as indicated by <function>select()</function>, <function>poll()</function>, or
@@ -356,7 +356,7 @@ PostgresPollingStatusType PQconnectPoll(PGconn *conn);
        <symbol>PGRES_POLLING_WRITING</symbol>, wait until the socket is ready
        to write, then call <function>PQconnectPoll(conn)</function> again.
        On the first iteration, i.e. if you have yet to call
-       <function>PQconnectPoll</function>, behave as if it last returned
+       <xref linkend="libpq-fun-pqconnectpoll"/>, behave as if it last returned
        <symbol>PGRES_POLLING_WRITING</symbol>.  Continue this loop until
        <function>PQconnectPoll(conn)</function> returns
        <symbol>PGRES_POLLING_FAILED</symbol>, indicating the connection procedure
@@ -366,10 +366,10 @@ PostgresPollingStatusType PQconnectPoll(PGconn *conn);
 
       <para>
        At any time during connection, the status of the connection can be
-       checked by calling <function>PQstatus</function>. If this call returns <symbol>CONNECTION_BAD</symbol>, then the
+       checked by calling <xref linkend="libpq-fun-pqstatus"/>. If this call returns <symbol>CONNECTION_BAD</symbol>, then the
        connection procedure has failed; if the call returns <function>CONNECTION_OK</function>, then the
        connection is ready.  Both of these states are equally detectable
-       from the return value of <function>PQconnectPoll</function>, described above. Other states might also occur
+       from the return value of <xref linkend="libpq-fun-pqconnectpoll"/>, described above. Other states might also occur
        during (and only during) an asynchronous connection procedure. These
        indicate the current stage of the connection procedure and might be useful
        to provide feedback to the user for example. These statuses are:
@@ -473,17 +473,17 @@ switch(PQstatus(conn))
 
       <para>
        The <literal>connect_timeout</literal> connection parameter is ignored
-       when using <function>PQconnectPoll</function>; it is the application's
+       when using <xref linkend="libpq-fun-pqconnectpoll"/>; it is the application's
        responsibility to decide whether an excessive amount of time has elapsed.
-       Otherwise, <function>PQconnectStart</function> followed by a
-       <function>PQconnectPoll</function> loop is equivalent to
-       <function>PQconnectdb</function>.
+       Otherwise, <xref linkend="libpq-fun-pqconnectstart"/> followed by a
+       <xref linkend="libpq-fun-pqconnectpoll"/> loop is equivalent to
+       <xref linkend="libpq-fun-pqconnectdb"/>.
       </para>
 
       <para>
-       Note that when <function>PQconnectStart</function>
-       or <function>PQconnectStartParams</function> returns a non-null
-       pointer, you must call <function>PQfinish</function> when you are
+       Note that when <xref linkend="libpq-fun-pqconnectstart"/>
+       or <xref linkend="libpq-fun-pqconnectstartparams"/> returns a non-null
+       pointer, you must call <xref linkend="libpq-fun-pqfinish"/> when you are
        finished with it, in order to dispose of the structure and any
        associated memory blocks.  This must be done even if the connection
        attempt fails or is abandoned.
@@ -492,7 +492,7 @@ switch(PQstatus(conn))
     </varlistentry>
 
     <varlistentry id="libpq-pqconndefaults">
-     <term><function>PQconndefaults</function><indexterm><primary>PQconndefaults</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconndefaults">PQconndefaults</function><indexterm><primary>PQconndefaults</primary></indexterm></term>
      <listitem>
       <para>
        Returns the default connection options.
@@ -518,7 +518,7 @@ typedef struct
 
       <para>
        Returns a connection options array.  This can be used to determine
-       all possible <function>PQconnectdb</function> options and their
+       all possible <xref linkend="libpq-fun-pqconnectdb"/> options and their
        current default values.  The return value points to an array of
        <structname>PQconninfoOption</structname> structures, which ends
        with an entry having a null <structfield>keyword</structfield> pointer.  The
@@ -531,15 +531,15 @@ typedef struct
 
       <para>
        After processing the options array, free it by passing it to
-       <function>PQconninfoFree</function>.  If this is not done, a small amount of memory
-       is leaked for each call to <function>PQconndefaults</function>.
+       <xref linkend="libpq-fun-pqconninfofree"/>.  If this is not done, a small amount of memory
+       is leaked for each call to <xref linkend="libpq-fun-pqconndefaults"/>.
       </para>
 
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqconninfo">
-     <term><function>PQconninfo</function><indexterm><primary>PQconninfo</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconninfo">PQconninfo</function><indexterm><primary>PQconninfo</primary></indexterm></term>
      <listitem>
       <para>
        Returns the connection options used by a live connection.
@@ -550,12 +550,12 @@ PQconninfoOption *PQconninfo(PGconn *conn);
 
       <para>
        Returns a connection options array.  This can be used to determine
-       all possible <function>PQconnectdb</function> options and the
+       all possible <xref linkend="libpq-fun-pqconnectdb"/> options and the
        values that were used to connect to the server. The return
        value points to an array of <structname>PQconninfoOption</structname>
        structures, which ends with an entry having a null <structfield>keyword</structfield>
-       pointer. All notes above for <function>PQconndefaults</function> also
-       apply to the result of <function>PQconninfo</function>.
+       pointer. All notes above for <xref linkend="libpq-fun-pqconndefaults"/> also
+       apply to the result of <xref linkend="libpq-fun-pqconninfo"/>.
       </para>
 
      </listitem>
@@ -563,7 +563,7 @@ PQconninfoOption *PQconninfo(PGconn *conn);
 
 
     <varlistentry id="libpq-pqconninfoparse">
-     <term><function>PQconninfoParse</function><indexterm><primary>PQconninfoParse</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconninfoparse">PQconninfoParse</function><indexterm><primary>PQconninfoParse</primary></indexterm></term>
      <listitem>
       <para>
        Returns parsed connection options from the provided connection string.
@@ -577,7 +577,7 @@ PQconninfoOption *PQconninfoParse(const char *conninfo, char **errmsg);
        Parses a connection string and returns the resulting options as an
        array; or returns <symbol>NULL</symbol> if there is a problem with the connection
        string.  This function can be used to extract
-       the <function>PQconnectdb</function> options in the provided
+       the <xref linkend="libpq-fun-pqconnectdb"/> options in the provided
        connection string.  The return value points to an array of
        <structname>PQconninfoOption</structname> structures, which ends
        with an entry having a null <structfield>keyword</structfield> pointer.
@@ -600,17 +600,17 @@ PQconninfoOption *PQconninfoParse(const char *conninfo, char **errmsg);
 
       <para>
        After processing the options array, free it by passing it to
-       <function>PQconninfoFree</function>.  If this is not done, some memory
-       is leaked for each call to <function>PQconninfoParse</function>.
+       <xref linkend="libpq-fun-pqconninfofree"/>.  If this is not done, some memory
+       is leaked for each call to <xref linkend="libpq-fun-pqconninfoparse"/>.
        Conversely, if an error occurs and <literal>errmsg</literal> is not <symbol>NULL</symbol>,
-       be sure to free the error string using <function>PQfreemem</function>.
+       be sure to free the error string using <xref linkend="libpq-fun-pqfreemem"/>.
       </para>
 
    </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqfinish">
-     <term><function>PQfinish</function><indexterm><primary>PQfinish</primary></indexterm></term>
+     <term><function id="libpq-fun-pqfinish">PQfinish</function><indexterm><primary>PQfinish</primary></indexterm></term>
      <listitem>
       <para>
        Closes  the  connection to the server.  Also frees
@@ -622,16 +622,16 @@ void PQfinish(PGconn *conn);
 
       <para>
        Note that even if the server connection attempt fails (as
-       indicated by <function>PQstatus</function>), the application should call <function>PQfinish</function>
+       indicated by <xref linkend="libpq-fun-pqstatus"/>), the application should call <xref linkend="libpq-fun-pqfinish"/>
        to free the memory used by the <structname>PGconn</structname> object.
        The <structname>PGconn</structname> pointer must not be used again after
-       <function>PQfinish</function> has been called.
+       <xref linkend="libpq-fun-pqfinish"/> has been called.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqreset">
-     <term><function>PQreset</function><indexterm><primary>PQreset</primary></indexterm></term>
+     <term><function id="libpq-fun-pqreset">PQreset</function><indexterm><primary>PQreset</primary></indexterm></term>
      <listitem>
       <para>
        Resets the communication channel to the server.
@@ -651,8 +651,8 @@ void PQreset(PGconn *conn);
     </varlistentry>
 
     <varlistentry id="libpq-pqresetstart">
-     <term><function>PQresetStart</function><indexterm><primary>PQresetStart</primary></indexterm></term>
-     <term><function>PQresetPoll</function><indexterm><primary>PQresetPoll</primary></indexterm></term>
+     <term><function id="libpq-fun-pqresetstart">PQresetStart</function><indexterm><primary>PQresetStart</primary></indexterm></term>
+     <term><function id="libpq-fun-pqresetpoll">PQresetPoll</function><indexterm><primary>PQresetPoll</primary></indexterm></term>
      <listitem>
       <para>
        Reset the communication channel to the server, in a nonblocking manner.
@@ -668,29 +668,29 @@ PostgresPollingStatusType PQresetPoll(PGconn *conn);
        These functions will close the connection to the server and attempt to
        reestablish a new connection to the same server, using all the same
        parameters previously used. This can be useful for error recovery if a
-       working connection is lost. They differ from <function>PQreset</function> (above) in that they
+       working connection is lost. They differ from <xref linkend="libpq-fun-pqreset"/> (above) in that they
        act in a nonblocking manner. These functions suffer from the same
-       restrictions as <function>PQconnectStartParams</function>, <function>PQconnectStart</function>
-       and <function>PQconnectPoll</function>.
+       restrictions as <xref linkend="libpq-fun-pqconnectstartparams"/>, <xref linkend="libpq-fun-pqconnectstart"/>
+       and <xref linkend="libpq-fun-pqconnectpoll"/>.
       </para>
 
       <para>
        To initiate a connection reset, call
-       <function>PQresetStart</function>. If it returns 0, the reset has
+       <xref linkend="libpq-fun-pqresetstart"/>. If it returns 0, the reset has
        failed. If it returns 1, poll the reset using
-       <function>PQresetPoll</function> in exactly the same way as you
-       would create the connection using <function>PQconnectPoll</function>.
+       <xref linkend="libpq-fun-pqresetpoll"/> in exactly the same way as you
+       would create the connection using <xref linkend="libpq-fun-pqconnectpoll"/>.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqpingparams">
-     <term><function>PQpingParams</function><indexterm><primary>PQpingParams</primary></indexterm></term>
+     <term><function id="libpq-fun-pqpingparams">PQpingParams</function><indexterm><primary>PQpingParams</primary></indexterm></term>
      <listitem>
       <para>
-       <function>PQpingParams</function> reports the status of the
+       <xref linkend="libpq-fun-pqpingparams"/> reports the status of the
        server.  It accepts connection parameters identical to those of
-       <function>PQconnectdbParams</function>, described above.  It is not
+       <xref linkend="libpq-fun-pqconnectdbparams"/>, described above.  It is not
        necessary to supply correct user name, password, or database name
        values to obtain the server status; however, if incorrect values
        are provided, the server will log a failed connection attempt.
@@ -754,12 +754,12 @@ PGPing PQpingParams(const char * const *keywords,
     </varlistentry>
 
     <varlistentry id="libpq-pqping">
-     <term><function>PQping</function><indexterm><primary>PQping</primary></indexterm></term>
+     <term><function id="libpq-fun-pqping">PQping</function><indexterm><primary>PQping</primary></indexterm></term>
      <listitem>
       <para>
-       <function>PQping</function> reports the status of the
+       <xref linkend="libpq-fun-pqping"/> reports the status of the
        server.  It accepts connection parameters identical to those of
-       <function>PQconnectdb</function>, described above.  It is not
+       <xref linkend="libpq-fun-pqconnectdb"/>, described above.  It is not
        necessary to supply correct user name, password, or database name
        values to obtain the server status; however, if incorrect values
        are provided, the server will log a failed connection attempt.
@@ -770,7 +770,7 @@ PGPing PQping(const char *conninfo);
       </para>
 
       <para>
-       The return values are the same as for <function>PQpingParams</function>.
+       The return values are the same as for <xref linkend="libpq-fun-pqpingparams"/>.
       </para>
 
      </listitem>
@@ -1007,9 +1007,9 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
           <para>
            If <literal>host</literal> is specified
            without <literal>hostaddr</literal>, a host name lookup occurs.
-           (When using <function>PQconnectPoll</function>, the lookup occurs
-           when <function>PQconnectPoll</function> first considers this host
-           name, and it may cause <function>PQconnectPoll</function> to block
+           (When using <xref linkend="libpq-fun-pqconnectpoll"/>, the lookup occurs
+           when <xref linkend="libpq-fun-pqconnectpoll"/> first considers this host
+           name, and it may cause <xref linkend="libpq-fun-pqconnectpoll"/> to block
            for a significant amount of time.)
           </para>
          </listitem>
@@ -1689,15 +1689,15 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
   <para>
    The following functions return parameter values established at connection.
    These values are fixed for the life of the connection.  If a multi-host
-   connection string is used, the values of <function>PQhost</function>,
-   <function>PQport</function>, and <function>PQpass</function> can change if a new connection
+   connection string is used, the values of <xref linkend="libpq-fun-pqhost"/>,
+   <xref linkend="libpq-fun-pqport"/>, and <xref linkend="libpq-fun-pqpass"/> can change if a new connection
    is established using the same <structname>PGconn</structname> object.  Other values
    are fixed for the lifetime of the <structname>PGconn</structname> object.
 
    <variablelist>
     <varlistentry id="libpq-pqdb">
      <term>
-      <function>PQdb</function>
+      <function id="libpq-fun-pqdb">PQdb</function>
       <indexterm>
        <primary>PQdb</primary>
       </indexterm>
@@ -1715,7 +1715,7 @@ char *PQdb(const PGconn *conn);
 
     <varlistentry id="libpq-pquser">
      <term>
-      <function>PQuser</function>
+      <function id="libpq-fun-pquser">PQuser</function>
       <indexterm>
        <primary>PQuser</primary>
       </indexterm>
@@ -1733,7 +1733,7 @@ char *PQuser(const PGconn *conn);
 
     <varlistentry id="libpq-pqpass">
      <term>
-      <function>PQpass</function>
+      <function id="libpq-fun-pqpass">PQpass</function>
       <indexterm>
        <primary>PQpass</primary>
       </indexterm>
@@ -1748,21 +1748,21 @@ char *PQpass(const PGconn *conn);
       </para>
 
       <para>
-       <function>PQpass</function> will return either the password specified
+       <xref linkend="libpq-fun-pqpass"/> will return either the password specified
        in the connection parameters, or if there was none and the password
        was obtained from the <link linkend="libpq-pgpass">password
        file</link>, it will return that.  In the latter case,
        if multiple hosts were specified in the connection parameters, it is
-       not possible to rely on the result of <function>PQpass</function> until
+       not possible to rely on the result of <xref linkend="libpq-fun-pqpass"/> until
        the connection is established.  The status of the connection can be
-       checked using the function <function>PQstatus</function>.
+       checked using the function <xref linkend="libpq-fun-pqstatus"/>.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqhost">
      <term>
-      <function>PQhost</function>
+      <function id="libpq-fun-pqhost">PQhost</function>
       <indexterm>
        <primary>PQhost</primary>
       </indexterm>
@@ -1782,15 +1782,15 @@ char *PQhost(const PGconn *conn);
 
       <para>
        If the connection parameters specified both <literal>host</literal> and
-       <literal>hostaddr</literal>, then <function>PQhost</function> will
+       <literal>hostaddr</literal>, then <xref linkend="libpq-fun-pqhost"/> will
        return the <literal>host</literal> information.  If only
        <literal>hostaddr</literal> was specified, then that is returned.
        If multiple hosts were specified in the connection parameters,
-       <function>PQhost</function> returns the host actually connected to.
+       <xref linkend="libpq-fun-pqhost"/> returns the host actually connected to.
       </para>
 
       <para>
-       <function>PQhost</function> returns <symbol>NULL</symbol> if the
+       <xref linkend="libpq-fun-pqhost"/> returns <symbol>NULL</symbol> if the
        <parameter>conn</parameter> argument is <symbol>NULL</symbol>.
        Otherwise, if there is an error producing the host information (perhaps
        if the connection has not been fully established or there was an
@@ -1799,9 +1799,9 @@ char *PQhost(const PGconn *conn);
 
       <para>
        If multiple hosts were specified in the connection parameters, it is
-       not possible to rely on the result of <function>PQhost</function> until
+       not possible to rely on the result of <xref linkend="libpq-fun-pqhost"/> until
        the connection is established.  The status of the connection can be
-       checked using the function <function>PQstatus</function>.
+       checked using the function <xref linkend="libpq-fun-pqstatus"/>.
       </para>
      </listitem>
     </varlistentry>
@@ -1809,7 +1809,7 @@ char *PQhost(const PGconn *conn);
 
     <varlistentry id="libpq-pqhostaddr">
      <term>
-      <function>PQhostaddr</function>
+      <function id="libpq-fun-pqhostaddr">PQhostaddr</function>
       <indexterm>
        <primary>PQhostaddr</primary>
       </indexterm>
@@ -1827,7 +1827,7 @@ char *PQhostaddr(const PGconn *conn);
       </para>
 
       <para>
-       <function>PQhostaddr</function> returns <symbol>NULL</symbol> if the
+       <xref linkend="libpq-fun-pqhostaddr"/> returns <symbol>NULL</symbol> if the
        <parameter>conn</parameter> argument is <symbol>NULL</symbol>.
        Otherwise, if there is an error producing the host information
        (perhaps if the connection has not been fully established or
@@ -1838,7 +1838,7 @@ char *PQhostaddr(const PGconn *conn);
 
     <varlistentry id="libpq-pqport">
      <term>
-      <function>PQport</function>
+      <function id="libpq-fun-pqport">PQport</function>
       <indexterm>
        <primary>PQport</primary>
       </indexterm>
@@ -1855,11 +1855,11 @@ char *PQport(const PGconn *conn);
 
       <para>
        If multiple ports were specified in the connection parameters,
-       <function>PQport</function> returns the port actually connected to.
+       <xref linkend="libpq-fun-pqport"/> returns the port actually connected to.
       </para>
 
       <para>
-       <function>PQport</function> returns <symbol>NULL</symbol> if the
+       <xref linkend="libpq-fun-pqport"/> returns <symbol>NULL</symbol> if the
        <parameter>conn</parameter> argument is <symbol>NULL</symbol>.
        Otherwise, if there is an error producing the port information (perhaps
        if the connection has not been fully established or there was an
@@ -1868,16 +1868,16 @@ char *PQport(const PGconn *conn);
 
       <para>
        If multiple ports were specified in the connection parameters, it is
-       not possible to rely on the result of <function>PQport</function> until
+       not possible to rely on the result of <xref linkend="libpq-fun-pqport"/> until
        the connection is established.  The status of the connection can be
-       checked using the function <function>PQstatus</function>.
+       checked using the function <xref linkend="libpq-fun-pqstatus"/>.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqtty">
      <term>
-      <function>PQtty</function>
+      <function id="libpq-fun-pqtty">PQtty</function>
       <indexterm>
        <primary>PQtty</primary>
       </indexterm>
@@ -1899,7 +1899,7 @@ char *PQtty(const PGconn *conn);
 
     <varlistentry id="libpq-pqoptions">
      <term>
-      <function>PQoptions</function>
+      <function id="libpq-fun-pqoptions">PQoptions</function>
       <indexterm>
        <primary>PQoptions</primary>
       </indexterm>
@@ -1924,7 +1924,7 @@ char *PQoptions(const PGconn *conn);
    <variablelist>
     <varlistentry id="libpq-pqstatus">
      <term>
-      <function>PQstatus</function>
+      <function id="libpq-fun-pqstatus">PQstatus</function>
       <indexterm>
        <primary>PQstatus</primary>
       </indexterm>
@@ -1946,16 +1946,16 @@ ConnStatusType PQstatus(const PGconn *conn);
        has the status <literal>CONNECTION_OK</literal>.  A failed
        connection attempt is signaled by status
        <literal>CONNECTION_BAD</literal>.  Ordinarily, an OK status will
-       remain so until <function>PQfinish</function>, but a communications
+       remain so until <xref linkend="libpq-fun-pqfinish"/>, but a communications
        failure might result in the status changing to
        <literal>CONNECTION_BAD</literal> prematurely.  In that case the
        application could try to recover by calling
-       <function>PQreset</function>.
+       <xref linkend="libpq-fun-pqreset"/>.
       </para>
 
       <para>
-       See the entry for <function>PQconnectStartParams</function>, <function>PQconnectStart</function>
-       and <function>PQconnectPoll</function> with regards to other status codes that
+       See the entry for <xref linkend="libpq-fun-pqconnectstartparams"/>, <xref linkend="libpq-fun-pqconnectstart"/>
+       and <xref linkend="libpq-fun-pqconnectpoll"/> with regards to other status codes that
        might be returned.
       </para>
      </listitem>
@@ -1963,7 +1963,7 @@ ConnStatusType PQstatus(const PGconn *conn);
 
     <varlistentry id="libpq-pqtransactionstatus">
      <term>
-      <function>PQtransactionStatus</function>
+      <function id="libpq-fun-pqtransactionstatus">PQtransactionStatus</function>
       <indexterm>
        <primary>PQtransactionStatus</primary>
       </indexterm>
@@ -1990,7 +1990,7 @@ PGTransactionStatusType PQtransactionStatus(const PGconn *conn);
 
     <varlistentry id="libpq-pqparameterstatus">
      <term>
-      <function>PQparameterStatus</function>
+      <function id="libpq-fun-pqparameterstatus">PQparameterStatus</function>
       <indexterm>
        <primary>PQparameterStatus</primary>
       </indexterm>
@@ -2006,7 +2006,7 @@ const char *PQparameterStatus(const PGconn *conn, const char *paramName);
 
        Certain parameter values are reported by the server automatically at
        connection startup or whenever their values change.
-       <function>PQparameterStatus</function> can be used to interrogate these settings.
+       <xref linkend="libpq-fun-pqparameterstatus"/> can be used to interrogate these settings.
        It returns the current value of a parameter if known, or <symbol>NULL</symbol>
        if the parameter is not known.
       </para>
@@ -2041,13 +2041,13 @@ const char *PQparameterStatus(const PGconn *conn, const char *paramName);
        Pre-3.0-protocol servers do not report parameter settings, but
        <application>libpq</application> includes logic to obtain values for
        <varname>server_version</varname> and <varname>client_encoding</varname> anyway.
-       Applications are encouraged to use <function>PQparameterStatus</function>
+       Applications are encouraged to use <xref linkend="libpq-fun-pqparameterstatus"/>
        rather than <foreignphrase>ad hoc</foreignphrase> code to determine these values.
        (Beware however that on a pre-3.0 connection, changing
        <varname>client_encoding</varname> via <command>SET</command> after connection
-       startup will not be reflected by <function>PQparameterStatus</function>.)
+       startup will not be reflected by <xref linkend="libpq-fun-pqparameterstatus"/>.)
        For <varname>server_version</varname>, see also
-       <function>PQserverVersion</function>, which returns the information in a
+       <xref linkend="libpq-fun-pqserverversion"/>, which returns the information in a
        numeric form that is much easier to compare against.
       </para>
 
@@ -2069,7 +2069,7 @@ const char *PQparameterStatus(const PGconn *conn, const char *paramName);
 
     <varlistentry id="libpq-pqprotocolversion">
      <term>
-      <function>PQprotocolVersion</function>
+      <function id="libpq-fun-pqprotocolversion">PQprotocolVersion</function>
       <indexterm>
        <primary>PQprotocolVersion</primary>
       </indexterm>
@@ -2097,7 +2097,7 @@ int PQprotocolVersion(const PGconn *conn);
 
     <varlistentry id="libpq-pqserverversion">
      <term>
-      <function>PQserverVersion</function>
+      <function id="libpq-fun-pqserverversion">PQserverVersion</function>
       <indexterm>
        <primary>PQserverVersion</primary>
       </indexterm>
@@ -2124,14 +2124,14 @@ int PQserverVersion(const PGconn *conn);
        Prior to major version 10, <productname>PostgreSQL</productname> used
        three-part version numbers in which the first two parts together
        represented the major version.  For those
-       versions, <function>PQserverVersion</function> uses two digits for each
+       versions, <xref linkend="libpq-fun-pqserverversion"/> uses two digits for each
        part; for example version 9.1.5 will be returned as 90105, and
        version 9.2.0 will be returned as 90200.
       </para>
 
       <para>
        Therefore, for purposes of determining feature compatibility,
-       applications should divide the result of <function>PQserverVersion</function>
+       applications should divide the result of <xref linkend="libpq-fun-pqserverversion"/>
        by 100 not 10000 to determine a logical major version number.
        In all release series, only the last two digits differ between
        minor releases (bug-fix releases).
@@ -2141,7 +2141,7 @@ int PQserverVersion(const PGconn *conn);
 
     <varlistentry id="libpq-pqerrormessage">
      <term>
-      <function>PQerrorMessage</function>
+      <function id="libpq-fun-pqerrormessage">PQerrorMessage</function>
       <indexterm>
        <primary>PQerrorMessage</primary>
       </indexterm>
@@ -2160,13 +2160,13 @@ char *PQerrorMessage(const PGconn *conn);
 
       <para>
        Nearly all <application>libpq</application> functions will set a message for
-       <function>PQerrorMessage</function> if they fail.  Note that by
+       <xref linkend="libpq-fun-pqerrormessage"/> if they fail.  Note that by
        <application>libpq</application> convention, a nonempty
-       <function>PQerrorMessage</function> result can consist of multiple lines,
+       <xref linkend="libpq-fun-pqerrormessage"/> result can consist of multiple lines,
        and will include a trailing newline. The caller should not free
        the result directly. It will be freed when the associated
        <structname>PGconn</structname> handle is passed to
-       <function>PQfinish</function>.  The result string should not be
+       <xref linkend="libpq-fun-pqfinish"/>.  The result string should not be
        expected to remain the same across operations on the
        <literal>PGconn</literal> structure.
       </para>
@@ -2174,7 +2174,7 @@ char *PQerrorMessage(const PGconn *conn);
     </varlistentry>
 
     <varlistentry id="libpq-pqsocket">
-     <term><function>PQsocket</function><indexterm><primary>PQsocket</primary></indexterm></term>
+     <term><function id="libpq-fun-pqsocket">PQsocket</function><indexterm><primary>PQsocket</primary></indexterm></term>
      <listitem>
       <para>
        Obtains the file descriptor number of the connection socket to
@@ -2192,7 +2192,7 @@ int PQsocket(const PGconn *conn);
     </varlistentry>
 
     <varlistentry id="libpq-pqbackendpid">
-     <term><function>PQbackendPID</function><indexterm><primary>PQbackendPID</primary></indexterm></term>
+     <term><function id="libpq-fun-pqbackendpid">PQbackendPID</function><indexterm><primary>PQbackendPID</primary></indexterm></term>
      <listitem>
       <para>
        Returns the process <acronym>ID</acronym> (PID)<indexterm>
@@ -2219,7 +2219,7 @@ int PQbackendPID(const PGconn *conn);
     </varlistentry>
 
     <varlistentry id="libpq-pqconnectionneedspassword">
-     <term><function>PQconnectionNeedsPassword</function><indexterm><primary>PQconnectionNeedsPassword</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconnectionneedspassword">PQconnectionNeedsPassword</function><indexterm><primary>PQconnectionNeedsPassword</primary></indexterm></term>
      <listitem>
       <para>
        Returns true (1) if the connection authentication method
@@ -2239,7 +2239,7 @@ int PQconnectionNeedsPassword(const PGconn *conn);
     </varlistentry>
 
     <varlistentry id="libpq-pqconnectionusedpassword">
-     <term><function>PQconnectionUsedPassword</function><indexterm><primary>PQconnectionUsedPassword</primary></indexterm></term>
+     <term><function id="libpq-fun-pqconnectionusedpassword">PQconnectionUsedPassword</function><indexterm><primary>PQconnectionUsedPassword</primary></indexterm></term>
      <listitem>
       <para>
        Returns true (1) if the connection authentication method
@@ -2265,7 +2265,7 @@ int PQconnectionUsedPassword(const PGconn *conn);
 
     <variablelist>
     <varlistentry id="libpq-pqsslinuse">
-     <term><function>PQsslInUse</function><indexterm><primary>PQsslInUse</primary></indexterm></term>
+     <term><function id="libpq-fun-pqsslinuse">PQsslInUse</function><indexterm><primary>PQsslInUse</primary></indexterm></term>
      <listitem>
       <para>
         Returns true (1) if the connection uses SSL, false (0) if not.
@@ -2279,7 +2279,7 @@ int PQsslInUse(const PGconn *conn);
     </varlistentry>
 
     <varlistentry id="libpq-pqsslattribute">
-     <term><function>PQsslAttribute</function><indexterm><primary>PQsslAttribute</primary></indexterm></term>
+     <term><function id="libpq-fun-pqsslattribute">PQsslAttribute</function><indexterm><primary>PQsslAttribute</primary></indexterm></term>
      <listitem>
       <para>
         Returns SSL-related information about the connection.
@@ -2352,7 +2352,7 @@ const char *PQsslAttribute(const PGconn *conn, const char *attribute_name);
     </varlistentry>
 
     <varlistentry id="libpq-pqsslattributenames">
-     <term><function>PQsslAttributeNames</function><indexterm><primary>PQsslAttributeNames</primary></indexterm></term>
+     <term><function id="libpq-fun-pqsslattributenames">PQsslAttributeNames</function><indexterm><primary>PQsslAttributeNames</primary></indexterm></term>
      <listitem>
       <para>
        Return an array of SSL attribute names available. The array is terminated by a NULL pointer.
@@ -2364,7 +2364,7 @@ const char * const * PQsslAttributeNames(const PGconn *conn);
     </varlistentry>
 
     <varlistentry id="libpq-pqsslstruct">
-     <term><function>PQsslStruct</function><indexterm><primary>PQsslStruct</primary></indexterm></term>
+     <term><function id="libpq-fun-pqsslstruct">PQsslStruct</function><indexterm><primary>PQsslStruct</primary></indexterm></term>
      <listitem>
       <para>
        Return a pointer to an SSL-implementation-specific object describing
@@ -2405,7 +2405,7 @@ void *PQsslStruct(const PGconn *conn, const char *struct_name);
     </varlistentry>
 
     <varlistentry id="libpq-pqgetssl">
-     <term><function>PQgetssl</function><indexterm><primary>PQgetssl</primary></indexterm></term>
+     <term><function id="libpq-fun-pqgetssl">PQgetssl</function><indexterm><primary>PQgetssl</primary></indexterm></term>
      <listitem>
       <para>
        <indexterm><primary>SSL</primary><secondary sortas="libpq">in libpq</secondary></indexterm>
@@ -2422,8 +2422,8 @@ void *PQgetssl(const PGconn *conn);
        not be used in new applications, because the returned struct is
        specific to OpenSSL and will not be available if another SSL
        implementation is used. To check if a connection uses SSL, call
-       <function>PQsslInUse</function> instead, and for more details about the
-       connection, use <function>PQsslAttribute</function>.
+       <xref linkend="libpq-fun-pqsslinuse"/> instead, and for more details about the
+       connection, use <xref linkend="libpq-fun-pqsslattribute"/>.
       </para>
      </listitem>
     </varlistentry>
@@ -2449,7 +2449,7 @@ void *PQgetssl(const PGconn *conn);
     <variablelist>
      <varlistentry id="libpq-pqexec">
       <term>
-       <function>PQexec</function>
+       <function id="libpq-fun-pqexec">PQexec</function>
        <indexterm>
         <primary>PQexec</primary>
        </indexterm>
@@ -2468,11 +2468,11 @@ PGresult *PQexec(PGconn *conn, const char *command);
         Returns a <structname>PGresult</structname> pointer or possibly a null
         pointer.  A non-null pointer will generally be returned except in
         out-of-memory conditions or serious errors such as inability to send
-        the command to the server.  The <function>PQresultStatus</function> function
+        the command to the server.  The <xref linkend="libpq-fun-pqresultstatus"/> function
         should be called to check the return value for any errors (including
         the value of a null pointer, in which case it will return
         <symbol>PGRES_FATAL_ERROR</symbol>).  Use
-        <function>PQerrorMessage</function> to get more information about such
+        <xref linkend="libpq-fun-pqerrormessage"/> to get more information about such
         errors.
        </para>
       </listitem>
@@ -2481,7 +2481,7 @@ PGresult *PQexec(PGconn *conn, const char *command);
 
     The command string can include multiple SQL commands
     (separated by semicolons).  Multiple queries sent in a single
-    <function>PQexec</function> call are processed in a single transaction, unless
+    <xref linkend="libpq-fun-pqexec"/> call are processed in a single transaction, unless
     there are explicit <command>BEGIN</command>/<command>COMMIT</command>
     commands included in the query string to divide it into multiple
     transactions.  (See <xref linkend="protocol-flow-multi-statement"/>
@@ -2497,7 +2497,7 @@ PGresult *PQexec(PGconn *conn, const char *command);
     <variablelist>
      <varlistentry id="libpq-pqexecparams">
       <term>
-       <function>PQexecParams</function>
+       <function id="libpq-fun-pqexecparams">PQexecParams</function>
        <indexterm>
         <primary>PQexecParams</primary>
        </indexterm>
@@ -2522,10 +2522,10 @@ PGresult *PQexecParams(PGconn *conn,
        </para>
 
        <para>
-        <function>PQexecParams</function> is like <function>PQexec</function>, but offers additional
+        <xref linkend="libpq-fun-pqexecparams"/> is like <xref linkend="libpq-fun-pqexec"/>, but offers additional
         functionality: parameter values can be specified separately from the command
         string proper, and query results can be requested in either text or binary
-        format.  <function>PQexecParams</function> is supported only in protocol 3.0 and later
+        format.  <xref linkend="libpq-fun-pqexecparams"/> is supported only in protocol 3.0 and later
         connections; it will fail when using protocol 2.0.
        </para>
 
@@ -2646,14 +2646,14 @@ PGresult *PQexecParams(PGconn *conn,
    </para>
 
    <para>
-    The primary advantage of <function>PQexecParams</function> over
-    <function>PQexec</function> is that parameter values can be separated from the
+    The primary advantage of <xref linkend="libpq-fun-pqexecparams"/> over
+    <xref linkend="libpq-fun-pqexec"/> is that parameter values can be separated from the
     command string, thus avoiding the need for tedious and error-prone
     quoting and escaping.
    </para>
 
    <para>
-    Unlike <function>PQexec</function>, <function>PQexecParams</function> allows at most
+    Unlike <xref linkend="libpq-fun-pqexec"/>, <xref linkend="libpq-fun-pqexecparams"/> allows at most
     one SQL command in the given string.  (There can be semicolons in it,
     but not more than one nonempty command.)  This is a limitation of the
     underlying protocol, but has some usefulness as an extra defense against
@@ -2683,7 +2683,7 @@ SELECT * FROM mytable WHERE x = $1::bigint;
    <para>
     <variablelist>
      <varlistentry id="libpq-pqprepare">
-      <term><function>PQprepare</function>
+      <term><function id="libpq-fun-pqprepare">PQprepare</function>
        <indexterm>
         <primary>PQprepare</primary>
        </indexterm>
@@ -2703,11 +2703,11 @@ PGresult *PQprepare(PGconn *conn,
        </para>
 
        <para>
-        <function>PQprepare</function> creates a prepared statement for later
-        execution with <function>PQexecPrepared</function>.  This feature allows
+        <xref linkend="libpq-fun-pqprepare"/> creates a prepared statement for later
+        execution with <xref linkend="libpq-fun-pqexecprepared"/>.  This feature allows
         commands to be executed repeatedly without being parsed and
         planned each time;  see <xref linkend="sql-prepare"/> for details.
-        <function>PQprepare</function> is supported only in protocol 3.0 and later
+        <xref linkend="libpq-fun-pqprepare"/> is supported only in protocol 3.0 and later
         connections; it will fail when using protocol 2.0.
        </para>
 
@@ -2731,23 +2731,23 @@ PGresult *PQprepare(PGconn *conn,
         for an untyped literal string.  Also, the query can use parameter
         symbols with numbers higher than <parameter>nParams</parameter>; data types
         will be inferred for these symbols as well.  (See
-        <function>PQdescribePrepared</function> for a means to find out
+        <xref linkend="libpq-fun-pqdescribeprepared"/> for a means to find out
         what data types were inferred.)
        </para>
 
        <para>
-        As with <function>PQexec</function>, the result is normally a
+        As with <xref linkend="libpq-fun-pqexec"/>, the result is normally a
         <structname>PGresult</structname> object whose contents indicate
         server-side success or failure.  A null result indicates
         out-of-memory or inability to send the command at all.  Use
-        <function>PQerrorMessage</function> to get more information about
+        <xref linkend="libpq-fun-pqerrormessage"/> to get more information about
         such errors.
        </para>
       </listitem>
      </varlistentry>
     </variablelist>
 
-    Prepared statements for use with <function>PQexecPrepared</function> can also
+    Prepared statements for use with <xref linkend="libpq-fun-pqexecprepared"/> can also
     be created by executing SQL <xref linkend="sql-prepare"/>
     statements.  Also, although there is no <application>libpq</application>
     function for deleting a prepared statement, the SQL <xref
@@ -2759,7 +2759,7 @@ PGresult *PQprepare(PGconn *conn,
     <variablelist>
      <varlistentry id="libpq-pqexecprepared">
       <term>
-       <function>PQexecPrepared</function>
+       <function id="libpq-fun-pqexecprepared">PQexecPrepared</function>
        <indexterm>
         <primary>PQexecPrepared</primary>
        </indexterm>
@@ -2781,19 +2781,19 @@ PGresult *PQexecPrepared(PGconn *conn,
        </para>
 
        <para>
-        <function>PQexecPrepared</function> is like <function>PQexecParams</function>,
+        <xref linkend="libpq-fun-pqexecprepared"/> is like <xref linkend="libpq-fun-pqexecparams"/>,
         but the command to be executed is specified by naming a
         previously-prepared statement, instead of giving a query string.
         This feature allows commands that will be used repeatedly to be
         parsed and planned just once, rather than each time they are
         executed.  The statement must have been prepared previously in
-        the current session.  <function>PQexecPrepared</function> is supported
+        the current session.  <xref linkend="libpq-fun-pqexecprepared"/> is supported
         only in protocol 3.0 and later connections; it will fail when
         using protocol 2.0.
        </para>
 
        <para>
-        The parameters are identical to <function>PQexecParams</function>, except that the
+        The parameters are identical to <xref linkend="libpq-fun-pqexecparams"/>, except that the
         name of a prepared statement is given instead of a query string, and the
         <parameter>paramTypes[]</parameter> parameter is not present (it is not needed since
         the prepared statement's parameter types were determined when it was created).
@@ -2803,7 +2803,7 @@ PGresult *PQexecPrepared(PGconn *conn,
 
      <varlistentry id="libpq-pqdescribeprepared">
       <term>
-       <function>PQdescribePrepared</function>
+       <function id="libpq-fun-pqdescribeprepared">PQdescribePrepared</function>
        <indexterm>
         <primary>PQdescribePrepared</primary>
        </indexterm>
@@ -2819,9 +2819,9 @@ PGresult *PQdescribePrepared(PGconn *conn, const char *stmtName);
        </para>
 
        <para>
-        <function>PQdescribePrepared</function> allows an application to obtain
+        <xref linkend="libpq-fun-pqdescribeprepared"/> allows an application to obtain
         information about a previously prepared statement.
-        <function>PQdescribePrepared</function> is supported only in protocol 3.0
+        <xref linkend="libpq-fun-pqdescribeprepared"/> is supported only in protocol 3.0
         and later connections; it will fail when using protocol 2.0.
        </para>
 
@@ -2830,12 +2830,12 @@ PGresult *PQdescribePrepared(PGconn *conn, const char *stmtName);
         the unnamed statement, otherwise it must be the name of an existing
         prepared statement.  On success, a <structname>PGresult</structname> with
         status <literal>PGRES_COMMAND_OK</literal> is returned.  The
-        functions <function>PQnparams</function> and
-        <function>PQparamtype</function> can be applied to this
+        functions <xref linkend="libpq-fun-pqnparams"/> and
+        <xref linkend="libpq-fun-pqparamtype"/> can be applied to this
         <structname>PGresult</structname> to obtain information about the parameters
         of the prepared statement, and the functions
-        <function>PQnfields</function>, <function>PQfname</function>,
-        <function>PQftype</function>, etc provide information about the
+        <xref linkend="libpq-fun-pqnfields"/>, <xref linkend="libpq-fun-pqfname"/>,
+        <xref linkend="libpq-fun-pqftype"/>, etc provide information about the
         result columns (if any) of the statement.
        </para>
       </listitem>
@@ -2843,7 +2843,7 @@ PGresult *PQdescribePrepared(PGconn *conn, const char *stmtName);
 
      <varlistentry id="libpq-pqdescribeportal">
       <term>
-       <function>PQdescribePortal</function>
+       <function id="libpq-fun-pqdescribeportal">PQdescribePortal</function>
        <indexterm>
         <primary>PQdescribePortal</primary>
        </indexterm>
@@ -2859,12 +2859,12 @@ PGresult *PQdescribePortal(PGconn *conn, const char *portalName);
        </para>
 
        <para>
-        <function>PQdescribePortal</function> allows an application to obtain
+        <xref linkend="libpq-fun-pqdescribeportal"/> allows an application to obtain
         information about a previously created portal.
         (<application>libpq</application> does not provide any direct access to
         portals, but you can use this function to inspect the properties
         of a cursor created with a <command>DECLARE CURSOR</command> SQL command.)
-        <function>PQdescribePortal</function> is supported only in protocol 3.0
+        <xref linkend="libpq-fun-pqdescribeportal"/> is supported only in protocol 3.0
         and later connections; it will fail when using protocol 2.0.
        </para>
 
@@ -2873,8 +2873,8 @@ PGresult *PQdescribePortal(PGconn *conn, const char *portalName);
         the unnamed portal, otherwise it must be the name of an existing
         portal.  On success, a <structname>PGresult</structname> with status
         <literal>PGRES_COMMAND_OK</literal> is returned.  The functions
-        <function>PQnfields</function>, <function>PQfname</function>,
-        <function>PQftype</function>, etc can be applied to the
+        <xref linkend="libpq-fun-pqnfields"/>, <xref linkend="libpq-fun-pqfname"/>,
+        <xref linkend="libpq-fun-pqftype"/>, etc can be applied to the
         <structname>PGresult</structname> to obtain information about the result
         columns (if any) of the portal.
        </para>
@@ -2896,7 +2896,7 @@ PGresult *PQdescribePortal(PGconn *conn, const char *portalName);
     <variablelist>
      <varlistentry id="libpq-pqresultstatus">
       <term>
-       <function>PQresultStatus</function>
+       <function id="libpq-fun-pqresultstatus">PQresultStatus</function>
        <indexterm>
         <primary>PQresultStatus</primary>
        </indexterm>
@@ -2911,7 +2911,7 @@ ExecStatusType PQresultStatus(const PGresult *res);
        </para>
 
        <para>
-        <function>PQresultStatus</function> can return one of the following values:
+        <xref linkend="libpq-fun-pqresultstatus"/> can return one of the following values:
 
         <variablelist>
          <varlistentry id="libpq-pgres-empty-query">
@@ -3026,7 +3026,7 @@ ExecStatusType PQresultStatus(const PGresult *res);
 
        <para>
         A result of status <symbol>PGRES_NONFATAL_ERROR</symbol> will
-        never be returned directly by <function>PQexec</function> or other
+        never be returned directly by <xref linkend="libpq-fun-pqexec"/> or other
         query execution functions; results of this kind are instead passed
         to the notice processor (see <xref
         linkend="libpq-notice-processing"/>).
@@ -3036,7 +3036,7 @@ ExecStatusType PQresultStatus(const PGresult *res);
 
      <varlistentry id="libpq-pqresstatus">
       <term>
-       <function>PQresStatus</function>
+       <function id="libpq-fun-pqresstatus">PQresStatus</function>
        <indexterm>
         <primary>PQresStatus</primary>
        </indexterm>
@@ -3045,7 +3045,7 @@ ExecStatusType PQresultStatus(const PGresult *res);
       <listitem>
        <para>
         Converts the enumerated type returned by
-        <function>PQresultStatus</function> into a string constant describing the
+        <xref linkend="libpq-fun-pqresultstatus"/> into a string constant describing the
         status code. The caller should not free the result.
 
 <synopsis>
@@ -3057,7 +3057,7 @@ char *PQresStatus(ExecStatusType status);
 
      <varlistentry id="libpq-pqresulterrormessage">
       <term>
-       <function>PQresultErrorMessage</function>
+       <function id="libpq-fun-pqresulterrormessage">PQresultErrorMessage</function>
        <indexterm>
         <primary>PQresultErrorMessage</primary>
        </indexterm>
@@ -3073,21 +3073,21 @@ char *PQresultErrorMessage(const PGresult *res);
         If there was an error, the returned string will include a trailing
         newline.  The caller should not free the result directly. It will
         be freed when the associated <structname>PGresult</structname> handle is
-        passed to <function>PQclear</function>.
+        passed to <xref linkend="libpq-fun-pqclear"/>.
        </para>
 
        <para>
-        Immediately following a <function>PQexec</function> or
-        <function>PQgetResult</function> call,
-        <function>PQerrorMessage</function> (on the connection) will return
-        the same string as <function>PQresultErrorMessage</function> (on
+        Immediately following a <xref linkend="libpq-fun-pqexec"/> or
+        <xref linkend="libpq-fun-pqgetresult"/> call,
+        <xref linkend="libpq-fun-pqerrormessage"/> (on the connection) will return
+        the same string as <xref linkend="libpq-fun-pqresulterrormessage"/> (on
         the result).  However, a <structname>PGresult</structname> will
         retain its error message until destroyed, whereas the connection's
         error message will change when subsequent operations are done.
-        Use <function>PQresultErrorMessage</function> when you want to
+        Use <xref linkend="libpq-fun-pqresulterrormessage"/> when you want to
         know the status associated with a particular
         <structname>PGresult</structname>; use
-        <function>PQerrorMessage</function> when you want to know the
+        <xref linkend="libpq-fun-pqerrormessage"/> when you want to know the
         status from the latest operation on the connection.
        </para>
       </listitem>
@@ -3095,7 +3095,7 @@ char *PQresultErrorMessage(const PGresult *res);
 
      <varlistentry id="libpq-pqresultverboseerrormessage">
       <term>
-       <function>PQresultVerboseErrorMessage</function>
+       <function id="libpq-fun-pqresultverboseerrormessage">PQresultVerboseErrorMessage</function>
        <indexterm>
         <primary>PQresultVerboseErrorMessage</primary>
        </indexterm>
@@ -3112,9 +3112,9 @@ char *PQresultVerboseErrorMessage(const PGresult *res,
 </synopsis>
         In some situations a client might wish to obtain a more detailed
         version of a previously-reported error.
-        <function>PQresultVerboseErrorMessage</function> addresses this need
+        <xref linkend="libpq-fun-pqresultverboseerrormessage"/> addresses this need
         by computing the message that would have been produced
-        by <function>PQresultErrorMessage</function> if the specified
+        by <xref linkend="libpq-fun-pqresulterrormessage"/> if the specified
         verbosity settings had been in effect for the connection when the
         given <structname>PGresult</structname> was generated.  If
         the <structname>PGresult</structname> is not an error result,
@@ -3136,7 +3136,7 @@ char *PQresultVerboseErrorMessage(const PGresult *res,
      </varlistentry>
 
      <varlistentry id="libpq-pqresulterrorfield">
-      <term><function>PQresultErrorField</function><indexterm><primary>PQresultErrorField</primary></indexterm></term>
+      <term><function id="libpq-fun-pqresulterrorfield">PQresultErrorField</function><indexterm><primary>PQresultErrorField</primary></indexterm></term>
       <listitem>
        <para>
         Returns an individual field of an error report.
@@ -3150,7 +3150,7 @@ char *PQresultErrorField(const PGresult *res, int fieldcode);
         not include a trailing newline. The caller should not free the
         result directly. It will be freed when the
         associated <structname>PGresult</structname> handle is passed to
-        <function>PQclear</function>.
+        <xref linkend="libpq-fun-pqclear"/>.
        </para>
 
        <para>
@@ -3410,12 +3410,12 @@ char *PQresultErrorField(const PGresult *res, int fieldcode);
      </varlistentry>
 
      <varlistentry id="libpq-pqclear">
-      <term><function>PQclear</function><indexterm><primary>PQclear</primary></indexterm></term>
+      <term><function id="libpq-fun-pqclear">PQclear</function><indexterm><primary>PQclear</primary></indexterm></term>
       <listitem>
        <para>
         Frees  the  storage  associated with a
         <structname>PGresult</structname>.  Every command result should be
-        freed via <function>PQclear</function> when it  is  no  longer
+        freed via <xref linkend="libpq-fun-pqclear"/> when it  is  no  longer
         needed.
 
 <synopsis>
@@ -3427,7 +3427,7 @@ void PQclear(PGresult *res);
         You can keep a <structname>PGresult</structname> object around for
         as long as you need it; it does not go away when you issue a new
         command, nor even if you close the connection.  To get rid of it,
-        you must call <function>PQclear</function>.  Failure to do this
+        you must call <xref linkend="libpq-fun-pqclear"/>.  Failure to do this
         will result in memory leaks in your application.
        </para>
       </listitem>
@@ -3454,7 +3454,7 @@ void PQclear(PGresult *res);
    <variablelist>
     <varlistentry id="libpq-pqntuples">
      <term>
-      <function>PQntuples</function>
+      <function id="libpq-fun-pqntuples">PQntuples</function>
       <indexterm>
        <primary>PQntuples</primary>
       </indexterm>
@@ -3477,7 +3477,7 @@ int PQntuples(const PGresult *res);
 
     <varlistentry id="libpq-pqnfields">
      <term>
-      <function>PQnfields</function>
+      <function id="libpq-fun-pqnfields">PQnfields</function>
       <indexterm>
        <primary>PQnfields</primary>
       </indexterm>
@@ -3497,7 +3497,7 @@ int PQnfields(const PGresult *res);
 
     <varlistentry id="libpq-pqfname">
      <term>
-      <function>PQfname</function>
+      <function id="libpq-fun-pqfname">PQfname</function>
       <indexterm>
        <primary>PQfname</primary>
       </indexterm>
@@ -3509,7 +3509,7 @@ int PQnfields(const PGresult *res);
        Column numbers start at 0. The caller should not free the result
        directly. It will be freed when the associated
        <structname>PGresult</structname> handle is passed to
-       <function>PQclear</function>.
+       <xref linkend="libpq-fun-pqclear"/>.
 <synopsis>
 char *PQfname(const PGresult *res,
               int column_number);
@@ -3524,7 +3524,7 @@ char *PQfname(const PGresult *res,
 
     <varlistentry id="libpq-pqfnumber">
      <term>
-      <function>PQfnumber</function>
+      <function id="libpq-fun-pqfnumber">PQfnumber</function>
       <indexterm>
        <primary>PQfnumber</primary>
       </indexterm>
@@ -3565,7 +3565,7 @@ PQfnumber(res, "\"BAR\"")    <lineannotation>1</lineannotation>
 
     <varlistentry id="libpq-pqftable">
      <term>
-      <function>PQftable</function>
+      <function id="libpq-fun-pqftable">PQftable</function>
       <indexterm>
        <primary>PQftable</primary>
       </indexterm>
@@ -3600,7 +3600,7 @@ Oid PQftable(const PGresult *res,
 
     <varlistentry id="libpq-pqftablecol">
      <term>
-      <function>PQftablecol</function>
+      <function id="libpq-fun-pqftablecol">PQftablecol</function>
       <indexterm>
        <primary>PQftablecol</primary>
       </indexterm>
@@ -3627,7 +3627,7 @@ int PQftablecol(const PGresult *res,
 
     <varlistentry id="libpq-pqfformat">
      <term>
-      <function>PQfformat</function>
+      <function id="libpq-fun-pqfformat">PQfformat</function>
       <indexterm>
        <primary>PQfformat</primary>
       </indexterm>
@@ -3653,7 +3653,7 @@ int PQfformat(const PGresult *res,
 
     <varlistentry id="libpq-pqftype">
      <term>
-      <function>PQftype</function>
+      <function id="libpq-fun-pqftype">PQftype</function>
       <indexterm>
        <primary>PQftype</primary>
       </indexterm>
@@ -3682,7 +3682,7 @@ Oid PQftype(const PGresult *res,
 
     <varlistentry id="libpq-pqfmod">
      <term>
-      <function>PQfmod</function>
+      <function id="libpq-fun-pqfmod">PQfmod</function>
       <indexterm>
        <primary>PQfmod</primary>
       </indexterm>
@@ -3710,7 +3710,7 @@ int PQfmod(const PGresult *res,
 
     <varlistentry id="libpq-pqfsize">
      <term>
-      <function>PQfsize</function>
+      <function id="libpq-fun-pqfsize">PQfsize</function>
       <indexterm>
        <primary>PQfsize</primary>
       </indexterm>
@@ -3727,7 +3727,7 @@ int PQfsize(const PGresult *res,
       </para>
 
       <para>
-       <function>PQfsize</function> returns the space allocated for this column
+       <xref linkend="libpq-fun-pqfsize"/> returns the space allocated for this column
        in a database row, in other words the size of the server's
        internal representation of the data type.  (Accordingly, it is
        not really very useful to clients.) A negative value indicates
@@ -3738,7 +3738,7 @@ int PQfsize(const PGresult *res,
 
     <varlistentry id="libpq-pqbinarytuples">
      <term>
-      <function>PQbinaryTuples</function>
+      <function id="libpq-fun-pqbinarytuples">PQbinaryTuples</function>
       <indexterm>
        <primary>PQbinaryTuples</primary>
       </indexterm>
@@ -3757,8 +3757,8 @@ int PQbinaryTuples(const PGresult *res);
        This function is deprecated (except for its use in connection with
        <command>COPY</command>), because it is possible for a single
        <structname>PGresult</structname> to contain text data in some columns and
-       binary data in others.  <function>PQfformat</function> is preferred.
-       <function>PQbinaryTuples</function> returns 1 only if all columns of the
+       binary data in others.  <xref linkend="libpq-fun-pqfformat"/> is preferred.
+       <xref linkend="libpq-fun-pqbinarytuples"/> returns 1 only if all columns of the
        result are binary (format 1).
       </para>
      </listitem>
@@ -3766,7 +3766,7 @@ int PQbinaryTuples(const PGresult *res);
 
     <varlistentry id="libpq-pqgetvalue">
      <term>
-      <function>PQgetvalue</function>
+      <function id="libpq-fun-pqgetvalue">PQgetvalue</function>
        <indexterm>
         <primary>PQgetvalue</primary>
        </indexterm>
@@ -3778,7 +3778,7 @@ int PQbinaryTuples(const PGresult *res);
        <structname>PGresult</structname>.  Row and column numbers start
        at 0.  The caller should not free the result directly.  It will
        be freed when the associated <structname>PGresult</structname> handle is
-       passed to <function>PQclear</function>.
+       passed to <xref linkend="libpq-fun-pqclear"/>.
 <synopsis>
 char *PQgetvalue(const PGresult *res,
                  int row_number,
@@ -3788,7 +3788,7 @@ char *PQgetvalue(const PGresult *res,
 
       <para>
        For data in text format, the value returned by
-       <function>PQgetvalue</function> is a null-terminated character
+       <xref linkend="libpq-fun-pqgetvalue"/> is a null-terminated character
        string  representation of the field value.  For data in binary
        format, the value is in the binary representation determined by
        the data type's <function>typsend</function> and <function>typreceive</function>
@@ -3799,12 +3799,12 @@ char *PQgetvalue(const PGresult *res,
 
       <para>
        An empty string is returned if the field value is null.  See
-       <function>PQgetisnull</function> to distinguish null values from
+       <xref linkend="libpq-fun-pqgetisnull"/> to distinguish null values from
        empty-string values.
       </para>
 
       <para>
-       The pointer returned  by  <function>PQgetvalue</function> points
+       The pointer returned  by  <xref linkend="libpq-fun-pqgetvalue"/> points
        to storage that is part of the <structname>PGresult</structname>
        structure.  One should not modify the data it points to, and one
        must explicitly copy the data into other storage if it is to be
@@ -3816,7 +3816,7 @@ char *PQgetvalue(const PGresult *res,
 
     <varlistentry id="libpq-pqgetisnull">
      <term>
-      <function>PQgetisnull</function>
+      <function id="libpq-fun-pqgetisnull">PQgetisnull</function>
       <indexterm>
        <primary>PQgetisnull</primary>
       </indexterm>
@@ -3840,7 +3840,7 @@ int PQgetisnull(const PGresult *res,
       <para>
        This function returns  1 if the field is null and 0 if it
        contains a non-null value.  (Note that
-       <function>PQgetvalue</function> will return an empty string,
+       <xref linkend="libpq-fun-pqgetvalue"/> will return an empty string,
        not a null pointer, for a null field.)
       </para>
      </listitem>
@@ -3848,7 +3848,7 @@ int PQgetisnull(const PGresult *res,
 
     <varlistentry id="libpq-pqgetlength">
      <term>
-     <function>PQgetlength</function>
+     <function id="libpq-fun-pqgetlength">PQgetlength</function>
      <indexterm>
       <primary>PQgetlength</primary>
      </indexterm></term>
@@ -3867,10 +3867,10 @@ int PQgetlength(const PGresult *res,
       <para>
        This is the actual data length for the particular data value,
        that is, the size of the object pointed to by
-       <function>PQgetvalue</function>.  For text data format this is
+       <xref linkend="libpq-fun-pqgetvalue"/>.  For text data format this is
        the same as <function>strlen()</function>.  For binary format this is
        essential information.  Note that one should <emphasis>not</emphasis>
-       rely on <function>PQfsize</function> to obtain the actual data
+       rely on <xref linkend="libpq-fun-pqfsize"/> to obtain the actual data
        length.
       </para>
      </listitem>
@@ -3878,7 +3878,7 @@ int PQgetlength(const PGresult *res,
 
     <varlistentry id="libpq-pqnparams">
      <term>
-      <function>PQnparams</function>
+      <function id="libpq-fun-pqnparams">PQnparams</function>
       <indexterm>
        <primary>PQnparams</primary>
       </indexterm>
@@ -3894,7 +3894,7 @@ int PQnparams(const PGresult *res);
 
       <para>
        This function is only useful when inspecting the result of
-       <function>PQdescribePrepared</function>.  For other types of queries it
+       <xref linkend="libpq-fun-pqdescribeprepared"/>.  For other types of queries it
        will return zero.
       </para>
      </listitem>
@@ -3902,7 +3902,7 @@ int PQnparams(const PGresult *res);
 
     <varlistentry id="libpq-pqparamtype">
      <term>
-      <function>PQparamtype</function>
+      <function id="libpq-fun-pqparamtype">PQparamtype</function>
       <indexterm>
        <primary>PQparamtype</primary>
       </indexterm>
@@ -3919,7 +3919,7 @@ Oid PQparamtype(const PGresult *res, int param_number);
 
       <para>
        This function is only useful when inspecting the result of
-       <function>PQdescribePrepared</function>.  For other types of queries it
+       <xref linkend="libpq-fun-pqdescribeprepared"/>.  For other types of queries it
        will return zero.
       </para>
      </listitem>
@@ -3927,7 +3927,7 @@ Oid PQparamtype(const PGresult *res, int param_number);
 
     <varlistentry id="libpq-pqprint">
      <term>
-      <function>PQprint</function>
+      <function id="libpq-fun-pqprint">PQprint</function>
       <indexterm>
        <primary>PQprint</primary>
       </indexterm>
@@ -3978,7 +3978,7 @@ typedef struct
    <variablelist>
     <varlistentry id="libpq-pqcmdstatus">
      <term>
-      <function>PQcmdStatus</function>
+      <function id="libpq-fun-pqcmdstatus">PQcmdStatus</function>
       <indexterm>
        <primary>PQcmdStatus</primary>
       </indexterm>
@@ -3998,14 +3998,14 @@ char *PQcmdStatus(PGresult *res);
        additional data such as the number of rows processed. The caller
        should not free the result directly. It will be freed when the
        associated <structname>PGresult</structname> handle is passed to
-       <function>PQclear</function>.
+       <xref linkend="libpq-fun-pqclear"/>.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqcmdtuples">
      <term>
-      <function>PQcmdTuples</function>
+      <function id="libpq-fun-pqcmdtuples">PQcmdTuples</function>
       <indexterm>
        <primary>PQcmdTuples</primary>
       </indexterm>
@@ -4029,17 +4029,17 @@ char *PQcmdTuples(PGresult *res);
        or an <command>EXECUTE</command> of a prepared query that contains an
        <command>INSERT</command>, <command>UPDATE</command>, or <command>DELETE</command> statement.
        If the command that generated the <structname>PGresult</structname> was anything
-       else, <function>PQcmdTuples</function> returns an empty string. The caller
+       else, <xref linkend="libpq-fun-pqcmdtuples"/> returns an empty string. The caller
        should not free the return value directly. It will be freed when
        the associated <structname>PGresult</structname> handle is passed to
-       <function>PQclear</function>.
+       <xref linkend="libpq-fun-pqclear"/>.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqoidvalue">
      <term>
-      <function>PQoidValue</function>
+      <function id="libpq-fun-pqoidvalue">PQoidValue</function>
       <indexterm>
        <primary>PQoidValue</primary>
       </indexterm>
@@ -4064,7 +4064,7 @@ Oid PQoidValue(const PGresult *res);
 
     <varlistentry id="libpq-pqoidstatus">
      <term>
-      <function>PQoidStatus</function>
+      <function id="libpq-fun-pqoidstatus">PQoidStatus</function>
       <indexterm>
        <primary>PQoidStatus</primary>
       </indexterm>
@@ -4073,9 +4073,9 @@ Oid PQoidValue(const PGresult *res);
      <listitem>
       <para>
        This function is deprecated in favor of
-       <function>PQoidValue</function> and is not thread-safe.
+       <xref linkend="libpq-fun-pqoidvalue"/> and is not thread-safe.
        It returns a string with the OID of the inserted row, while
-       <function>PQoidValue</function> returns the OID value.
+       <xref linkend="libpq-fun-pqoidvalue"/> returns the OID value.
 <synopsis>
 char *PQoidStatus(const PGresult *res);
 </synopsis>
@@ -4098,7 +4098,7 @@ char *PQoidStatus(const PGresult *res);
    <variablelist>
     <varlistentry id="libpq-pqescapeliteral">
      <term>
-      <function>PQescapeLiteral</function>
+      <function id="libpq-fun-pqescapeliteral">PQescapeLiteral</function>
       <indexterm>
        <primary>PQescapeLiteral</primary>
       </indexterm>
@@ -4112,23 +4112,23 @@ char *PQescapeLiteral(PGconn *conn, const char *str, size_t length);
      </para>
 
      <para>
-      <function>PQescapeLiteral</function> escapes a string for
+      <xref linkend="libpq-fun-pqescapeliteral"/> escapes a string for
       use within an SQL command.  This is useful when inserting data
       values as literal constants in SQL commands.  Certain characters
       (such as quotes and backslashes) must be escaped to prevent them
       from being interpreted specially by the SQL parser.
-      <function>PQescapeLiteral</function> performs this operation.
+      <xref linkend="libpq-fun-pqescapeliteral"/> performs this operation.
      </para>
 
      <para>
-      <function>PQescapeLiteral</function> returns an escaped version of the
+      <xref linkend="libpq-fun-pqescapeliteral"/> returns an escaped version of the
       <parameter>str</parameter> parameter in memory allocated with
       <function>malloc()</function>.  This memory should be freed using
       <function>PQfreemem()</function> when the result is no longer needed.
       A terminating zero byte is not required, and should not be
       counted in <parameter>length</parameter>.  (If a terminating zero byte is found
       before <parameter>length</parameter> bytes are processed,
-      <function>PQescapeLiteral</function> stops at the zero; the behavior is
+      <xref linkend="libpq-fun-pqescapeliteral"/> stops at the zero; the behavior is
       thus rather like <function>strncpy</function>.) The
       return string has all special characters replaced so that they can
       be properly processed by the <productname>PostgreSQL</productname>
@@ -4138,7 +4138,7 @@ char *PQescapeLiteral(PGconn *conn, const char *str, size_t length);
      </para>
 
      <para>
-      On error, <function>PQescapeLiteral</function> returns <symbol>NULL</symbol> and a suitable
+      On error, <xref linkend="libpq-fun-pqescapeliteral"/> returns <symbol>NULL</symbol> and a suitable
       message is stored in the <parameter>conn</parameter> object.
      </para>
 
@@ -4154,7 +4154,7 @@ char *PQescapeLiteral(PGconn *conn, const char *str, size_t length);
 
      <para>
       Note that it is neither necessary nor correct to do escaping when a data
-      value is passed as a separate parameter in <function>PQexecParams</function> or
+      value is passed as a separate parameter in <xref linkend="libpq-fun-pqexecparams"/> or
       its sibling routines.
      </para>
      </listitem>
@@ -4162,7 +4162,7 @@ char *PQescapeLiteral(PGconn *conn, const char *str, size_t length);
 
     <varlistentry id="libpq-pqescapeidentifier">
      <term>
-      <function>PQescapeIdentifier</function>
+      <function id="libpq-fun-pqescapeidentifier">PQescapeIdentifier</function>
       <indexterm>
        <primary>PQescapeIdentifier</primary>
       </indexterm>
@@ -4176,7 +4176,7 @@ char *PQescapeIdentifier(PGconn *conn, const char *str, size_t length);
      </para>
 
      <para>
-      <function>PQescapeIdentifier</function> escapes a string for
+      <xref linkend="libpq-fun-pqescapeidentifier"/> escapes a string for
       use as an SQL identifier, such as a table, column, or function name.
       This is useful when a user-supplied identifier might contain
       special characters that would otherwise not be interpreted as part
@@ -4185,14 +4185,14 @@ char *PQescapeIdentifier(PGconn *conn, const char *str, size_t length);
      </para>
 
      <para>
-      <function>PQescapeIdentifier</function> returns a version of the
+      <xref linkend="libpq-fun-pqescapeidentifier"/> returns a version of the
       <parameter>str</parameter> parameter escaped as an SQL identifier
       in memory allocated with <function>malloc()</function>.  This memory must be
       freed using <function>PQfreemem()</function> when the result is no longer
       needed.  A terminating zero byte is not required, and should not be
       counted in <parameter>length</parameter>.  (If a terminating zero byte is found
       before <parameter>length</parameter> bytes are processed,
-      <function>PQescapeIdentifier</function> stops at the zero; the behavior is
+      <xref linkend="libpq-fun-pqescapeidentifier"/> stops at the zero; the behavior is
       thus rather like <function>strncpy</function>.) The
       return string has all special characters replaced so that it
       will be properly processed as an SQL identifier.  A terminating zero byte
@@ -4201,7 +4201,7 @@ char *PQescapeIdentifier(PGconn *conn, const char *str, size_t length);
      </para>
 
      <para>
-      On error, <function>PQescapeIdentifier</function> returns <symbol>NULL</symbol> and a suitable
+      On error, <xref linkend="libpq-fun-pqescapeidentifier"/> returns <symbol>NULL</symbol> and a suitable
       message is stored in the <parameter>conn</parameter> object.
      </para>
 
@@ -4217,7 +4217,7 @@ char *PQescapeIdentifier(PGconn *conn, const char *str, size_t length);
 
     <varlistentry id="libpq-pqescapestringconn">
      <term>
-      <function>PQescapeStringConn</function>
+      <function id="libpq-fun-pqescapestringconn">PQescapeStringConn</function>
       <indexterm>
        <primary>PQescapeStringConn</primary>
       </indexterm>
@@ -4233,10 +4233,10 @@ size_t PQescapeStringConn(PGconn *conn,
      </para>
 
      <para>
-      <function>PQescapeStringConn</function> escapes string literals, much like
-      <function>PQescapeLiteral</function>.  Unlike <function>PQescapeLiteral</function>,
+      <xref linkend="libpq-fun-pqescapestringconn"/> escapes string literals, much like
+      <xref linkend="libpq-fun-pqescapeliteral"/>.  Unlike <xref linkend="libpq-fun-pqescapeliteral"/>,
       the caller is responsible for providing an appropriately sized buffer.
-      Furthermore, <function>PQescapeStringConn</function> does not generate the
+      Furthermore, <xref linkend="libpq-fun-pqescapestringconn"/> does not generate the
       single quotes that must surround <productname>PostgreSQL</productname> string
       literals; they should be provided in the SQL command that the
       result is inserted into.  The parameter <parameter>from</parameter> points to
@@ -4245,7 +4245,7 @@ size_t PQescapeStringConn(PGconn *conn,
       string.  A terminating zero byte is not required, and should not be
       counted in <parameter>length</parameter>.  (If a terminating zero byte is found
       before <parameter>length</parameter> bytes are processed,
-      <function>PQescapeStringConn</function> stops at the zero; the behavior is
+      <xref linkend="libpq-fun-pqescapestringconn"/> stops at the zero; the behavior is
       thus rather like <function>strncpy</function>.) <parameter>to</parameter> shall point
       to a buffer that is able to hold at least one more byte than twice
       the value of <parameter>length</parameter>, otherwise the behavior is undefined.
@@ -4264,7 +4264,7 @@ size_t PQescapeStringConn(PGconn *conn,
      </para>
 
      <para>
-      <function>PQescapeStringConn</function> returns the number of bytes written
+      <xref linkend="libpq-fun-pqescapestringconn"/> returns the number of bytes written
       to <parameter>to</parameter>, not including the terminating zero byte.
      </para>
      </listitem>
@@ -4272,7 +4272,7 @@ size_t PQescapeStringConn(PGconn *conn,
 
     <varlistentry id="libpq-pqescapestring">
      <term>
-      <function>PQescapeString</function>
+      <function id="libpq-fun-pqescapestring">PQescapeString</function>
       <indexterm>
        <primary>PQescapeString</primary>
       </indexterm>
@@ -4280,16 +4280,16 @@ size_t PQescapeStringConn(PGconn *conn,
 
      <listitem>
      <para>
-       <function>PQescapeString</function> is an older, deprecated version of
-       <function>PQescapeStringConn</function>.
+       <xref linkend="libpq-fun-pqescapestring"/> is an older, deprecated version of
+       <xref linkend="libpq-fun-pqescapestringconn"/>.
 <synopsis>
 size_t PQescapeString (char *to, const char *from, size_t length);
 </synopsis>
      </para>
 
      <para>
-      The only difference from <function>PQescapeStringConn</function> is that
-      <function>PQescapeString</function> does not take <structname>PGconn</structname>
+      The only difference from <xref linkend="libpq-fun-pqescapestringconn"/> is that
+      <xref linkend="libpq-fun-pqescapestring"/> does not take <structname>PGconn</structname>
       or <parameter>error</parameter> parameters.
       Because of this, it cannot adjust its behavior depending on the
       connection properties (such as character encoding) and therefore
@@ -4298,19 +4298,19 @@ size_t PQescapeString (char *to, const char *from, size_t length);
      </para>
 
      <para>
-      <function>PQescapeString</function> can be used safely in
+      <xref linkend="libpq-fun-pqescapestring"/> can be used safely in
       client programs that work with only one <productname>PostgreSQL</productname>
       connection at a time (in this case it can find out what it needs to
       know <quote>behind the scenes</quote>).  In other contexts it is a security
       hazard and should be avoided in favor of
-      <function>PQescapeStringConn</function>.
+      <xref linkend="libpq-fun-pqescapestringconn"/>.
      </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqescapebyteaconn">
      <term>
-      <function>PQescapeByteaConn</function>
+      <function id="libpq-fun-pqescapebyteaconn">PQescapeByteaConn</function>
       <indexterm>
        <primary>PQescapeByteaConn</primary>
       </indexterm>
@@ -4319,7 +4319,7 @@ size_t PQescapeString (char *to, const char *from, size_t length);
      <listitem>
      <para>
        Escapes binary data for use within an SQL command with the type
-       <type>bytea</type>.  As with <function>PQescapeStringConn</function>,
+       <type>bytea</type>.  As with <xref linkend="libpq-fun-pqescapestringconn"/>,
        this is only used when inserting data directly into an SQL command string.
 <synopsis>
 unsigned char *PQescapeByteaConn(PGconn *conn,
@@ -4332,7 +4332,7 @@ unsigned char *PQescapeByteaConn(PGconn *conn,
       <para>
        Certain byte values must be escaped when used as part of a
        <type>bytea</type> literal in an <acronym>SQL</acronym> statement.
-       <function>PQescapeByteaConn</function> escapes bytes using
+       <xref linkend="libpq-fun-pqescapebyteaconn"/> escapes bytes using
        either hex encoding or backslash escaping.  See <xref
        linkend="datatype-binary"/> for more information.
       </para>
@@ -4349,7 +4349,7 @@ unsigned char *PQescapeByteaConn(PGconn *conn,
       </para>
 
       <para>
-       <function>PQescapeByteaConn</function> returns an escaped version of the
+       <xref linkend="libpq-fun-pqescapebyteaconn"/> returns an escaped version of the
        <parameter>from</parameter> parameter binary string in memory
        allocated with <function>malloc()</function>.  This memory should be freed using
        <function>PQfreemem()</function> when the result is no longer needed.  The
@@ -4371,7 +4371,7 @@ unsigned char *PQescapeByteaConn(PGconn *conn,
 
     <varlistentry id="libpq-pqescapebytea">
      <term>
-      <function>PQescapeBytea</function>
+      <function id="libpq-fun-pqescapebytea">PQescapeBytea</function>
       <indexterm>
        <primary>PQescapeBytea</primary>
       </indexterm>
@@ -4379,8 +4379,8 @@ unsigned char *PQescapeByteaConn(PGconn *conn,
 
      <listitem>
       <para>
-       <function>PQescapeBytea</function> is an older, deprecated version of
-       <function>PQescapeByteaConn</function>.
+       <xref linkend="libpq-fun-pqescapebytea"/> is an older, deprecated version of
+       <xref linkend="libpq-fun-pqescapebyteaconn"/>.
 <synopsis>
 unsigned char *PQescapeBytea(const unsigned char *from,
                              size_t from_length,
@@ -4389,22 +4389,22 @@ unsigned char *PQescapeBytea(const unsigned char *from,
       </para>
 
       <para>
-       The only difference from <function>PQescapeByteaConn</function> is that
-       <function>PQescapeBytea</function> does not take a <structname>PGconn</structname>
-       parameter.  Because of this, <function>PQescapeBytea</function> can
+       The only difference from <xref linkend="libpq-fun-pqescapebyteaconn"/> is that
+       <xref linkend="libpq-fun-pqescapebytea"/> does not take a <structname>PGconn</structname>
+       parameter.  Because of this, <xref linkend="libpq-fun-pqescapebytea"/> can
        only be used safely in client programs that use a single
        <productname>PostgreSQL</productname> connection at a time (in this case
        it can find out what it needs to know <quote>behind the
        scenes</quote>).  It <emphasis>might give the wrong results</emphasis> if
        used in programs that use multiple database connections (use
-       <function>PQescapeByteaConn</function> in such cases).
+       <xref linkend="libpq-fun-pqescapebyteaconn"/> in such cases).
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqunescapebytea">
      <term>
-      <function>PQunescapeBytea</function>
+      <function id="libpq-fun-pqunescapebytea">PQunescapeBytea</function>
       <indexterm>
        <primary>PQunescapeBytea</primary>
       </indexterm>
@@ -4413,7 +4413,7 @@ unsigned char *PQescapeBytea(const unsigned char *from,
      <listitem>
       <para>
        Converts a string representation of binary data into binary data
-       &mdash; the reverse of <function>PQescapeBytea</function>.  This
+       &mdash; the reverse of <xref linkend="libpq-fun-pqescapebytea"/>.  This
        is needed when retrieving <type>bytea</type> data in text format,
        but not when retrieving it in binary format.
 
@@ -4424,19 +4424,19 @@ unsigned char *PQunescapeBytea(const unsigned char *from, size_t *to_length);
 
       <para>
        The <parameter>from</parameter> parameter points to a string
-       such as might be returned by <function>PQgetvalue</function> when applied
-       to a <type>bytea</type> column. <function>PQunescapeBytea</function>
+       such as might be returned by <xref linkend="libpq-fun-pqgetvalue"/> when applied
+       to a <type>bytea</type> column. <xref linkend="libpq-fun-pqunescapebytea"/>
        converts this string representation into its binary representation.
        It returns a pointer to a buffer allocated with
        <function>malloc()</function>, or <symbol>NULL</symbol> on error, and puts the size of
        the buffer in <parameter>to_length</parameter>. The result must be
-       freed using <function>PQfreemem</function> when it is no longer needed.
+       freed using <xref linkend="libpq-fun-pqfreemem"/> when it is no longer needed.
       </para>
 
       <para>
        This conversion is not exactly the inverse of
-       <function>PQescapeBytea</function>, because the string is not expected
-       to be <quote>escaped</quote> when received from <function>PQgetvalue</function>.
+       <xref linkend="libpq-fun-pqescapebytea"/>, because the string is not expected
+       to be <quote>escaped</quote> when received from <xref linkend="libpq-fun-pqgetvalue"/>.
        In particular this means there is no need for string quoting considerations,
        and so no need for a <structname>PGconn</structname> parameter.
       </para>
@@ -4456,14 +4456,14 @@ unsigned char *PQunescapeBytea(const unsigned char *from, size_t *to_length);
   </indexterm>
 
   <para>
-   The <function>PQexec</function> function is adequate for submitting
+   The <xref linkend="libpq-fun-pqexec"/> function is adequate for submitting
    commands in normal, synchronous applications.  It has a few
    deficiencies, however, that can be of importance to some users:
 
    <itemizedlist>
     <listitem>
      <para>
-      <function>PQexec</function> waits for the command to be completed.
+      <xref linkend="libpq-fun-pqexec"/> waits for the command to be completed.
       The application might have other work to do (such as maintaining a
       user interface), in which case it won't want to block waiting for
       the response.
@@ -4481,17 +4481,17 @@ unsigned char *PQunescapeBytea(const unsigned char *from, size_t *to_length);
 
     <listitem>
      <para>
-      <function>PQexec</function> can return only one
+      <xref linkend="libpq-fun-pqexec"/> can return only one
       <structname>PGresult</structname> structure.  If the submitted command
       string contains multiple <acronym>SQL</acronym> commands, all but
       the last <structname>PGresult</structname> are discarded by
-      <function>PQexec</function>.
+      <xref linkend="libpq-fun-pqexec"/>.
      </para>
     </listitem>
 
     <listitem>
      <para>
-      <function>PQexec</function> always collects the command's entire result,
+      <xref linkend="libpq-fun-pqexec"/> always collects the command's entire result,
       buffering it in a single <structname>PGresult</structname>.  While
       this simplifies error-handling logic for the application, it can be
       impractical for results containing many rows.
@@ -4502,27 +4502,27 @@ unsigned char *PQunescapeBytea(const unsigned char *from, size_t *to_length);
 
   <para>
    Applications that do not like these limitations can instead use the
-   underlying functions that <function>PQexec</function> is built from:
-   <function>PQsendQuery</function> and <function>PQgetResult</function>.
+   underlying functions that <xref linkend="libpq-fun-pqexec"/> is built from:
+   <xref linkend="libpq-fun-pqsendquery"/> and <xref linkend="libpq-fun-pqgetresult"/>.
    There are also
-   <function>PQsendQueryParams</function>,
-   <function>PQsendPrepare</function>,
-   <function>PQsendQueryPrepared</function>,
-   <function>PQsendDescribePrepared</function>, and
-   <function>PQsendDescribePortal</function>,
-   which can be used with <function>PQgetResult</function> to duplicate
+   <xref linkend="libpq-fun-pqsendqueryparams"/>,
+   <xref linkend="libpq-fun-pqsendprepare"/>,
+   <xref linkend="libpq-fun-pqsendqueryprepared"/>,
+   <xref linkend="libpq-fun-pqsenddescribeprepared"/>, and
+   <xref linkend="libpq-fun-pqsenddescribeportal"/>,
+   which can be used with <xref linkend="libpq-fun-pqgetresult"/> to duplicate
    the functionality of
-   <function>PQexecParams</function>,
-   <function>PQprepare</function>,
-   <function>PQexecPrepared</function>,
-   <function>PQdescribePrepared</function>, and
-   <function>PQdescribePortal</function>
+   <xref linkend="libpq-fun-pqexecparams"/>,
+   <xref linkend="libpq-fun-pqprepare"/>,
+   <xref linkend="libpq-fun-pqexecprepared"/>,
+   <xref linkend="libpq-fun-pqdescribeprepared"/>, and
+   <xref linkend="libpq-fun-pqdescribeportal"/>
    respectively.
 
    <variablelist>
     <varlistentry id="libpq-pqsendquery">
      <term>
-      <function>PQsendQuery</function>
+      <function id="libpq-fun-pqsendquery">PQsendQuery</function>
       <indexterm>
        <primary>PQsendQuery</primary>
       </indexterm>
@@ -4532,16 +4532,16 @@ unsigned char *PQunescapeBytea(const unsigned char *from, size_t *to_length);
       <para>
        Submits a command to the server without waiting for the result(s).
        1 is returned if the command was successfully dispatched and 0 if
-       not (in which case, use <function>PQerrorMessage</function> to get more
+       not (in which case, use <xref linkend="libpq-fun-pqerrormessage"/> to get more
        information about the failure).
 <synopsis>
 int PQsendQuery(PGconn *conn, const char *command);
 </synopsis>
 
-       After successfully calling <function>PQsendQuery</function>, call
-       <function>PQgetResult</function> one or more times to obtain the
-       results.  <function>PQsendQuery</function> cannot be called again
-       (on the same connection) until <function>PQgetResult</function>
+       After successfully calling <xref linkend="libpq-fun-pqsendquery"/>, call
+       <xref linkend="libpq-fun-pqgetresult"/> one or more times to obtain the
+       results.  <xref linkend="libpq-fun-pqsendquery"/> cannot be called again
+       (on the same connection) until <xref linkend="libpq-fun-pqgetresult"/>
        has returned a null pointer, indicating that the command is done.
       </para>
      </listitem>
@@ -4549,7 +4549,7 @@ int PQsendQuery(PGconn *conn, const char *command);
 
     <varlistentry id="libpq-pqsendqueryparams">
      <term>
-      <function>PQsendQueryParams</function>
+      <function id="libpq-fun-pqsendqueryparams">PQsendQueryParams</function>
       <indexterm>
        <primary>PQsendQueryParams</primary>
       </indexterm>
@@ -4570,11 +4570,11 @@ int PQsendQueryParams(PGconn *conn,
                       int resultFormat);
 </synopsis>
 
-       This is equivalent to <function>PQsendQuery</function> except that
+       This is equivalent to <xref linkend="libpq-fun-pqsendquery"/> except that
        query parameters can be specified separately from the query string.
        The function's parameters are handled identically to
-       <function>PQexecParams</function>.  Like
-       <function>PQexecParams</function>, it will not work on 2.0-protocol
+       <xref linkend="libpq-fun-pqexecparams"/>.  Like
+       <xref linkend="libpq-fun-pqexecparams"/>, it will not work on 2.0-protocol
        connections, and it allows only one command in the query string.
       </para>
      </listitem>
@@ -4582,7 +4582,7 @@ int PQsendQueryParams(PGconn *conn,
 
     <varlistentry id="libpq-pqsendprepare">
      <term>
-      <function>PQsendPrepare</function>
+      <function id="libpq-fun-pqsendprepare">PQsendPrepare</function>
       <indexterm>
        <primary>PQsendPrepare</primary>
       </indexterm>
@@ -4600,13 +4600,13 @@ int PQsendPrepare(PGconn *conn,
                   const Oid *paramTypes);
 </synopsis>
 
-       This is an asynchronous version of <function>PQprepare</function>: it
+       This is an asynchronous version of <xref linkend="libpq-fun-pqprepare"/>: it
        returns 1 if it was able to dispatch the request, and 0 if not.
-       After a successful call, call <function>PQgetResult</function> to
+       After a successful call, call <xref linkend="libpq-fun-pqgetresult"/> to
        determine whether the server successfully created the prepared
        statement.  The function's parameters are handled identically to
-       <function>PQprepare</function>.  Like
-       <function>PQprepare</function>, it will not work on 2.0-protocol
+       <xref linkend="libpq-fun-pqprepare"/>.  Like
+       <xref linkend="libpq-fun-pqprepare"/>, it will not work on 2.0-protocol
        connections.
       </para>
      </listitem>
@@ -4614,7 +4614,7 @@ int PQsendPrepare(PGconn *conn,
 
     <varlistentry id="libpq-pqsendqueryprepared">
      <term>
-      <function>PQsendQueryPrepared</function>
+      <function id="libpq-fun-pqsendqueryprepared">PQsendQueryPrepared</function>
       <indexterm>
        <primary>PQsendQueryPrepared</primary>
       </indexterm>
@@ -4634,12 +4634,12 @@ int PQsendQueryPrepared(PGconn *conn,
                         int resultFormat);
 </synopsis>
 
-       This is similar to <function>PQsendQueryParams</function>, but
+       This is similar to <xref linkend="libpq-fun-pqsendqueryparams"/>, but
        the command to be executed is specified by naming a
        previously-prepared statement, instead of giving a query string.
        The function's parameters are handled identically to
-       <function>PQexecPrepared</function>.  Like
-       <function>PQexecPrepared</function>, it will not work on
+       <xref linkend="libpq-fun-pqexecprepared"/>.  Like
+       <xref linkend="libpq-fun-pqexecprepared"/>, it will not work on
        2.0-protocol connections.
       </para>
      </listitem>
@@ -4647,7 +4647,7 @@ int PQsendQueryPrepared(PGconn *conn,
 
     <varlistentry id="libpq-pqsenddescribeprepared">
      <term>
-      <function>PQsendDescribePrepared</function>
+      <function id="libpq-fun-pqsenddescribeprepared">PQsendDescribePrepared</function>
       <indexterm>
        <primary>PQsendDescribePrepared</primary>
       </indexterm>
@@ -4661,12 +4661,12 @@ int PQsendQueryPrepared(PGconn *conn,
 int PQsendDescribePrepared(PGconn *conn, const char *stmtName);
 </synopsis>
 
-       This is an asynchronous version of <function>PQdescribePrepared</function>:
+       This is an asynchronous version of <xref linkend="libpq-fun-pqdescribeprepared"/>:
        it returns 1 if it was able to dispatch the request, and 0 if not.
-       After a successful call, call <function>PQgetResult</function> to
+       After a successful call, call <xref linkend="libpq-fun-pqgetresult"/> to
        obtain the results.  The function's parameters are handled
-       identically to <function>PQdescribePrepared</function>.  Like
-       <function>PQdescribePrepared</function>, it will not work on
+       identically to <xref linkend="libpq-fun-pqdescribeprepared"/>.  Like
+       <xref linkend="libpq-fun-pqdescribeprepared"/>, it will not work on
        2.0-protocol connections.
       </para>
      </listitem>
@@ -4674,7 +4674,7 @@ int PQsendDescribePrepared(PGconn *conn, const char *stmtName);
 
     <varlistentry id="libpq-pqsenddescribeportal">
      <term>
-      <function>PQsendDescribePortal</function>
+      <function id="libpq-fun-pqsenddescribeportal">PQsendDescribePortal</function>
       <indexterm>
        <primary>PQsendDescribePortal</primary>
       </indexterm>
@@ -4688,12 +4688,12 @@ int PQsendDescribePrepared(PGconn *conn, const char *stmtName);
 int PQsendDescribePortal(PGconn *conn, const char *portalName);
 </synopsis>
 
-       This is an asynchronous version of <function>PQdescribePortal</function>:
+       This is an asynchronous version of <xref linkend="libpq-fun-pqdescribeportal"/>:
        it returns 1 if it was able to dispatch the request, and 0 if not.
-       After a successful call, call <function>PQgetResult</function> to
+       After a successful call, call <xref linkend="libpq-fun-pqgetresult"/> to
        obtain the results.  The function's parameters are handled
-       identically to <function>PQdescribePortal</function>.  Like
-       <function>PQdescribePortal</function>, it will not work on
+       identically to <xref linkend="libpq-fun-pqdescribeportal"/>.  Like
+       <xref linkend="libpq-fun-pqdescribeportal"/>, it will not work on
        2.0-protocol connections.
       </para>
      </listitem>
@@ -4701,7 +4701,7 @@ int PQsendDescribePortal(PGconn *conn, const char *portalName);
 
     <varlistentry id="libpq-pqgetresult">
      <term>
-      <function>PQgetResult</function>
+      <function id="libpq-fun-pqgetresult">PQgetResult</function>
       <indexterm>
        <primary>PQgetResult</primary>
       </indexterm>
@@ -4710,12 +4710,12 @@ int PQsendDescribePortal(PGconn *conn, const char *portalName);
      <listitem>
       <para>
        Waits for the next result from a prior
-       <function>PQsendQuery</function>,
-       <function>PQsendQueryParams</function>,
-       <function>PQsendPrepare</function>,
-       <function>PQsendQueryPrepared</function>,
-       <function>PQsendDescribePrepared</function>, or
-       <function>PQsendDescribePortal</function>
+       <xref linkend="libpq-fun-pqsendquery"/>,
+       <xref linkend="libpq-fun-pqsendqueryparams"/>,
+       <xref linkend="libpq-fun-pqsendprepare"/>,
+       <xref linkend="libpq-fun-pqsendqueryprepared"/>,
+       <xref linkend="libpq-fun-pqsenddescribeprepared"/>, or
+       <xref linkend="libpq-fun-pqsenddescribeportal"/>
        call, and returns it.
        A null pointer is returned when the command is complete and there
        will be no more results.
@@ -4725,24 +4725,24 @@ PGresult *PQgetResult(PGconn *conn);
       </para>
 
       <para>
-       <function>PQgetResult</function> must be called repeatedly until
+       <xref linkend="libpq-fun-pqgetresult"/> must be called repeatedly until
        it returns a null pointer, indicating that the command is done.
        (If called when no command is active,
-       <function>PQgetResult</function> will just return a null pointer
+       <xref linkend="libpq-fun-pqgetresult"/> will just return a null pointer
        at once.) Each non-null result from
-       <function>PQgetResult</function> should be processed using the
+       <xref linkend="libpq-fun-pqgetresult"/> should be processed using the
        same <structname>PGresult</structname> accessor functions previously
        described.  Don't forget to free each result object with
-       <function>PQclear</function> when done with it.  Note that
-       <function>PQgetResult</function> will block only if a command is
+       <xref linkend="libpq-fun-pqclear"/> when done with it.  Note that
+       <xref linkend="libpq-fun-pqgetresult"/> will block only if a command is
        active and the necessary response data has not yet been read by
-       <function>PQconsumeInput</function>.
+       <xref linkend="libpq-fun-pqconsumeinput"/>.
       </para>
 
       <note>
        <para>
-        Even when <function>PQresultStatus</function> indicates a fatal
-        error, <function>PQgetResult</function> should be called until it
+        Even when <xref linkend="libpq-fun-pqresultstatus"/> indicates a fatal
+        error, <xref linkend="libpq-fun-pqgetresult"/> should be called until it
         returns a null pointer, to allow <application>libpq</application> to
         process the error information completely.
        </para>
@@ -4753,9 +4753,9 @@ PGresult *PQgetResult(PGconn *conn);
   </para>
 
   <para>
-   Using <function>PQsendQuery</function> and
-   <function>PQgetResult</function> solves one of
-   <function>PQexec</function>'s problems:  If a command string contains
+   Using <xref linkend="libpq-fun-pqsendquery"/> and
+   <xref linkend="libpq-fun-pqgetresult"/> solves one of
+   <xref linkend="libpq-fun-pqexec"/>'s problems:  If a command string contains
    multiple <acronym>SQL</acronym> commands, the results of those commands
    can be obtained individually.  (This allows a simple form of overlapped
    processing, by the way: the client can be handling the results of one
@@ -4765,13 +4765,13 @@ PGresult *PQgetResult(PGconn *conn);
 
   <para>
    Another frequently-desired feature that can be obtained with
-   <function>PQsendQuery</function> and <function>PQgetResult</function>
+   <xref linkend="libpq-fun-pqsendquery"/> and <xref linkend="libpq-fun-pqgetresult"/>
    is retrieving large query results a row at a time.  This is discussed
    in <xref linkend="libpq-single-row-mode"/>.
   </para>
 
   <para>
-   By itself, calling <function>PQgetResult</function>
+   By itself, calling <xref linkend="libpq-fun-pqgetresult"/>
    will still cause the client to block until the server completes the
    next <acronym>SQL</acronym> command.  This can be avoided by proper
    use of two more functions:
@@ -4779,7 +4779,7 @@ PGresult *PQgetResult(PGconn *conn);
    <variablelist>
     <varlistentry id="libpq-pqconsumeinput">
      <term>
-      <function>PQconsumeInput</function>
+      <function id="libpq-fun-pqconsumeinput">PQconsumeInput</function>
       <indexterm>
        <primary>PQconsumeInput</primary>
       </indexterm>
@@ -4794,23 +4794,23 @@ int PQconsumeInput(PGconn *conn);
       </para>
 
       <para>
-       <function>PQconsumeInput</function> normally returns 1 indicating
+       <xref linkend="libpq-fun-pqconsumeinput"/> normally returns 1 indicating
        <quote>no error</quote>, but returns 0 if there was some kind of
-       trouble (in which case <function>PQerrorMessage</function> can be
+       trouble (in which case <xref linkend="libpq-fun-pqerrormessage"/> can be
        consulted).  Note that the result does not say whether any input
        data was actually collected. After calling
-       <function>PQconsumeInput</function>, the application can check
-       <function>PQisBusy</function> and/or
-       <function>PQnotifies</function> to see if their state has changed.
+       <xref linkend="libpq-fun-pqconsumeinput"/>, the application can check
+       <xref linkend="libpq-fun-pqisbusy"/> and/or
+       <xref linkend="libpq-fun-pqnotifies"/> to see if their state has changed.
       </para>
 
       <para>
-       <function>PQconsumeInput</function> can be called even if the
+       <xref linkend="libpq-fun-pqconsumeinput"/> can be called even if the
        application is not prepared to deal with a result or notification
        just yet.  The function will read available data and save it in
        a buffer, thereby causing a <function>select()</function>
        read-ready indication to go away.  The application can thus use
-       <function>PQconsumeInput</function> to clear the
+       <xref linkend="libpq-fun-pqconsumeinput"/> to clear the
        <function>select()</function> condition immediately, and then
        examine the results at leisure.
       </para>
@@ -4819,7 +4819,7 @@ int PQconsumeInput(PGconn *conn);
 
     <varlistentry id="libpq-pqisbusy">
      <term>
-      <function>PQisBusy</function>
+      <function id="libpq-fun-pqisbusy">PQisBusy</function>
       <indexterm>
        <primary>PQisBusy</primary>
       </indexterm>
@@ -4828,8 +4828,8 @@ int PQconsumeInput(PGconn *conn);
      <listitem>
       <para>
        Returns 1 if a command is busy, that is,
-       <function>PQgetResult</function> would block waiting for input.
-       A 0 return indicates that <function>PQgetResult</function> can be
+       <xref linkend="libpq-fun-pqgetresult"/> would block waiting for input.
+       A 0 return indicates that <xref linkend="libpq-fun-pqgetresult"/> can be
        called with assurance of not blocking.
 <synopsis>
 int PQisBusy(PGconn *conn);
@@ -4837,8 +4837,8 @@ int PQisBusy(PGconn *conn);
       </para>
 
       <para>
-       <function>PQisBusy</function> will not itself attempt to read data
-       from the server; therefore <function>PQconsumeInput</function>
+       <xref linkend="libpq-fun-pqisbusy"/> will not itself attempt to read data
+       from the server; therefore <xref linkend="libpq-fun-pqconsumeinput"/>
        must be invoked first, or the busy state will never end.
       </para>
      </listitem>
@@ -4852,24 +4852,24 @@ int PQisBusy(PGconn *conn);
    all the conditions that it must respond to.  One of the conditions
    will be input available from the server, which in terms of
    <function>select()</function> means readable data on the file
-   descriptor identified by <function>PQsocket</function>.  When the main
+   descriptor identified by <xref linkend="libpq-fun-pqsocket"/>.  When the main
    loop detects input ready, it should call
-   <function>PQconsumeInput</function> to read the input.  It can then
-   call <function>PQisBusy</function>, followed by
-   <function>PQgetResult</function> if <function>PQisBusy</function>
-   returns false (0).  It can also call <function>PQnotifies</function>
+   <xref linkend="libpq-fun-pqconsumeinput"/> to read the input.  It can then
+   call <xref linkend="libpq-fun-pqisbusy"/>, followed by
+   <xref linkend="libpq-fun-pqgetresult"/> if <xref linkend="libpq-fun-pqisbusy"/>
+   returns false (0).  It can also call <xref linkend="libpq-fun-pqnotifies"/>
    to detect <command>NOTIFY</command> messages (see <xref
    linkend="libpq-notify"/>).
   </para>
 
   <para>
    A client that uses
-   <function>PQsendQuery</function>/<function>PQgetResult</function>
+   <xref linkend="libpq-fun-pqsendquery"/>/<xref linkend="libpq-fun-pqgetresult"/>
    can also attempt to cancel a command that is still being processed
    by the server; see <xref linkend="libpq-cancel"/>.  But regardless of
-   the return value of <function>PQcancel</function>, the application
+   the return value of <xref linkend="libpq-fun-pqcancel"/>, the application
    must continue with the normal result-reading sequence using
-   <function>PQgetResult</function>.  A successful cancellation will
+   <xref linkend="libpq-fun-pqgetresult"/>.  A successful cancellation will
    simply cause the command to terminate sooner than it would have
    otherwise.
   </para>
@@ -4888,7 +4888,7 @@ int PQisBusy(PGconn *conn);
    <variablelist>
     <varlistentry id="libpq-pqsetnonblocking">
      <term>
-      <function>PQsetnonblocking</function>
+      <function id="libpq-fun-pqsetnonblocking">PQsetnonblocking</function>
       <indexterm>
        <primary>PQsetnonblocking</primary>
       </indexterm>
@@ -4910,14 +4910,14 @@ int PQsetnonblocking(PGconn *conn, int arg);
 
       <para>
        In the nonblocking state, calls to
-       <function>PQsendQuery</function>, <function>PQputline</function>,
-       <function>PQputnbytes</function>, <function>PQputCopyData</function>,
-       and <function>PQendcopy</function> will not block but instead return
+       <xref linkend="libpq-fun-pqsendquery"/>, <xref linkend="libpq-fun-pqputline"/>,
+       <xref linkend="libpq-fun-pqputnbytes"/>, <xref linkend="libpq-fun-pqputcopydata"/>,
+       and <xref linkend="libpq-fun-pqendcopy"/> will not block but instead return
        an error if they need to be called again.
       </para>
 
       <para>
-       Note that <function>PQexec</function> does not honor nonblocking
+       Note that <xref linkend="libpq-fun-pqexec"/> does not honor nonblocking
        mode; if it is called, it will act in blocking fashion anyway.
       </para>
      </listitem>
@@ -4925,7 +4925,7 @@ int PQsetnonblocking(PGconn *conn, int arg);
 
     <varlistentry id="libpq-pqisnonblocking">
      <term>
-      <function>PQisnonblocking</function>
+      <function id="libpq-fun-pqisnonblocking">PQisnonblocking</function>
       <indexterm>
        <primary>PQisnonblocking</primary>
       </indexterm>
@@ -4948,7 +4948,7 @@ int PQisnonblocking(const PGconn *conn);
 
     <varlistentry id="libpq-pqflush">
      <term>
-      <function>PQflush</function>
+      <function id="libpq-fun-pqflush">PQflush</function>
        <indexterm>
         <primary>PQflush</primary>
        </indexterm>
@@ -4972,16 +4972,16 @@ int PQflush(PGconn *conn);
 
   <para>
    After sending any command or data on a nonblocking connection, call
-   <function>PQflush</function>.  If it returns 1, wait for the socket
+   <xref linkend="libpq-fun-pqflush"/>.  If it returns 1, wait for the socket
    to become read- or write-ready.  If it becomes write-ready, call
-   <function>PQflush</function> again.  If it becomes read-ready, call
-   <function>PQconsumeInput</function>, then call
-   <function>PQflush</function> again.  Repeat until
-   <function>PQflush</function> returns 0.  (It is necessary to check for
-   read-ready and drain the input with <function>PQconsumeInput</function>,
+   <xref linkend="libpq-fun-pqflush"/> again.  If it becomes read-ready, call
+   <xref linkend="libpq-fun-pqconsumeinput"/>, then call
+   <xref linkend="libpq-fun-pqflush"/> again.  Repeat until
+   <xref linkend="libpq-fun-pqflush"/> returns 0.  (It is necessary to check for
+   read-ready and drain the input with <xref linkend="libpq-fun-pqconsumeinput"/>,
    because the server can block trying to send us data, e.g. NOTICE
    messages, and won't read our data until we read its.)  Once
-   <function>PQflush</function> returns 0, wait for the socket to be
+   <xref linkend="libpq-fun-pqflush"/> returns 0, wait for the socket to be
    read-ready and then read the response as described above.
   </para>
 
@@ -5000,17 +5000,17 @@ int PQflush(PGconn *conn);
    entire result and returns it to the application as a single
    <structname>PGresult</structname>.  This can be unworkable for commands
    that return a large number of rows.  For such cases, applications can use
-   <function>PQsendQuery</function> and <function>PQgetResult</function> in
+   <xref linkend="libpq-fun-pqsendquery"/> and <xref linkend="libpq-fun-pqgetresult"/> in
    <firstterm>single-row mode</firstterm>.  In this mode, the result row(s) are
    returned to the application one at a time, as they are received from the
    server.
   </para>
 
   <para>
-   To enter single-row mode, call <function>PQsetSingleRowMode</function>
-   immediately after a successful call of <function>PQsendQuery</function>
+   To enter single-row mode, call <xref linkend="libpq-fun-pqsetsinglerowmode"/>
+   immediately after a successful call of <xref linkend="libpq-fun-pqsendquery"/>
    (or a sibling function).  This mode selection is effective only for the
-   currently executing query.  Then call <function>PQgetResult</function>
+   currently executing query.  Then call <xref linkend="libpq-fun-pqgetresult"/>
    repeatedly, until it returns null, as documented in <xref
    linkend="libpq-async"/>.  If the query returns any rows, they are returned
    as individual <structname>PGresult</structname> objects, which look like
@@ -5020,18 +5020,18 @@ int PQflush(PGconn *conn);
    the query returns zero rows, a zero-row object with status
    <literal>PGRES_TUPLES_OK</literal> is returned; this is the signal that no
    more rows will arrive.  (But note that it is still necessary to continue
-   calling <function>PQgetResult</function> until it returns null.)  All of
+   calling <xref linkend="libpq-fun-pqgetresult"/> until it returns null.)  All of
    these <structname>PGresult</structname> objects will contain the same row
    description data (column names, types, etc) that an ordinary
    <structname>PGresult</structname> object for the query would have.
-   Each object should be freed with <function>PQclear</function> as usual.
+   Each object should be freed with <xref linkend="libpq-fun-pqclear"/> as usual.
   </para>
 
   <para>
    <variablelist>
     <varlistentry id="libpq-pqsetsinglerowmode">
      <term>
-      <function>PQsetSingleRowMode</function>
+      <function id="libpq-fun-pqsetsinglerowmode">PQsetSingleRowMode</function>
       <indexterm>
        <primary>PQsetSingleRowMode</primary>
       </indexterm>
@@ -5048,10 +5048,10 @@ int PQsetSingleRowMode(PGconn *conn);
 
       <para>
        This function can only be called immediately after
-       <function>PQsendQuery</function> or one of its sibling functions,
+       <xref linkend="libpq-fun-pqsendquery"/> or one of its sibling functions,
        before any other operation on the connection such as
-       <function>PQconsumeInput</function> or
-       <function>PQgetResult</function>.  If called at the correct time,
+       <xref linkend="libpq-fun-pqconsumeinput"/> or
+       <xref linkend="libpq-fun-pqgetresult"/>.  If called at the correct time,
        the function activates single-row mode for the current query and
        returns 1.  Otherwise the mode stays unchanged and the function
        returns 0.  In any case, the mode reverts to normal after
@@ -5095,7 +5095,7 @@ int PQsetSingleRowMode(PGconn *conn);
    <variablelist>
     <varlistentry id="libpq-pqgetcancel">
      <term>
-      <function>PQgetCancel</function>
+      <function id="libpq-fun-pqgetcancel">PQgetCancel</function>
       <indexterm>
        <primary>PQgetCancel</primary>
       </indexterm>
@@ -5111,21 +5111,21 @@ PGcancel *PQgetCancel(PGconn *conn);
       </para>
 
       <para>
-       <function>PQgetCancel</function> creates a
+       <xref linkend="libpq-fun-pqgetcancel"/> creates a
        <structname>PGcancel</structname><indexterm><primary>PGcancel</primary></indexterm> object
        given a <structname>PGconn</structname> connection object.  It will return
        <symbol>NULL</symbol> if the given <parameter>conn</parameter> is <symbol>NULL</symbol> or an invalid
        connection.  The <structname>PGcancel</structname> object is an opaque
        structure that is not meant to be accessed directly by the
-       application; it can only be passed to <function>PQcancel</function>
-       or <function>PQfreeCancel</function>.
+       application; it can only be passed to <xref linkend="libpq-fun-pqcancel"/>
+       or <xref linkend="libpq-fun-pqfreecancel"/>.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqfreecancel">
      <term>
-      <function>PQfreeCancel</function>
+      <function id="libpq-fun-pqfreecancel">PQfreeCancel</function>
       <indexterm>
        <primary>PQfreeCancel</primary>
       </indexterm>
@@ -5133,22 +5133,22 @@ PGcancel *PQgetCancel(PGconn *conn);
 
      <listitem>
       <para>
-       Frees a data structure created by <function>PQgetCancel</function>.
+       Frees a data structure created by <xref linkend="libpq-fun-pqgetcancel"/>.
 <synopsis>
 void PQfreeCancel(PGcancel *cancel);
 </synopsis>
       </para>
 
       <para>
-       <function>PQfreeCancel</function> frees a data object previously created
-       by <function>PQgetCancel</function>.
+       <xref linkend="libpq-fun-pqfreecancel"/> frees a data object previously created
+       by <xref linkend="libpq-fun-pqgetcancel"/>.
       </para>
      </listitem>
     </varlistentry>
 
     <varlistentry id="libpq-pqcancel">
      <term>
-      <function>PQcancel</function>
+      <function id="libpq-fun-pqcancel">PQcancel</function>
       <indexterm>
        <primary>PQcancel</primary>
       </indexterm>
@@ -5180,10 +5180,10 @@ int PQcancel(PGcancel *cancel, char *errbuf, int errbufsize);
       </para>
 
       <para>
-       <function>PQcancel</function> can safely be invoked from a signal
+       <xref linkend="libpq-fun-pqcancel"/> can safely be invoked from a signal
        handler, if the <parameter>errbuf</parameter> is a local variable in the
        signal handler.  The <structname>PGcancel</structname> object is read-only
-       as far as <function>PQcancel</function> is concerned, so it can
+       as far as <xref linkend="libpq-fun-pqcancel"/> is concerned, so it can
        also be invoked from a thread that is separate from the one
        manipulating the <structname>PGconn</structname> object.
       </para>
@@ -5194,7 +5194,7 @@ int PQcancel(PGcancel *cancel, char *errbuf, int errbufsize);
    <variablelist>
     <varlistentry id="libpq-pqrequestcancel">
      <term>
-      <function>PQrequestCancel</function>
+      <function id="libpq-fun-pqrequestcancel">PQrequestCancel</function>
       <indexterm>
        <primary>PQrequestCancel</primary>
       </indexterm>
@@ -5202,8 +5202,8 @@ int PQcancel(PGcancel *cancel, char *errbuf, int errbufsize);
 
      <listitem>
       <para>
-       <function>PQrequestCancel</function> is a deprecated variant of
-       <function>PQcancel</function>.
+       <xref linkend="libpq-fun-pqrequestcancel"/> is a deprecated variant of
+       <xref linkend="libpq-fun-pqcancel"/>.
 <synopsis>
 int PQrequestCancel(PGconn *conn);
 </synopsis>
@@ -5214,7 +5214,7 @@ int PQrequestCancel(PGconn *conn);
        command.  It operates directly on the
        <structname>PGconn</structname> object, and in case of failure stores the
        error message in the <structname>PGconn</structname> object (whence it can
-       be retrieved by <function>PQerrorMessage</function>).  Although
+       be retrieved by <xref linkend="libpq-fun-pqerrormessage"/>).  Although
        the functionality is the same, this approach creates hazards for
        multiple-thread programs and signal handlers, since it is possible
        that overwriting the <structname>PGconn</structname>'s error message will
@@ -5250,7 +5250,7 @@ int PQrequestCancel(PGconn *conn);
   </tip>
 
   <para>
-   The function <function>PQfn</function><indexterm><primary>PQfn</primary></indexterm>
+   The function <function id="libpq-fun-pqfn">PQfn</function><indexterm><primary>PQfn</primary></indexterm>
    requests execution of a server function via the fast-path interface:
 <synopsis>
 PGresult *PQfn(PGconn *conn,
@@ -5306,11 +5306,11 @@ typedef struct
   </para>
 
   <para>
-   <function>PQfn</function> always returns a valid
+   <xref linkend="libpq-fun-pqfn"/> always returns a valid
    <structname>PGresult</structname> pointer. The result status should be
    checked before the result is used.   The caller is responsible for
    freeing  the  <structname>PGresult</structname>  with
-   <function>PQclear</function> when it is no longer needed.
+   <xref linkend="libpq-fun-pqclear"/> when it is no longer needed.
   </para>
 
   <para>
@@ -5346,14 +5346,14 @@ typedef struct
    and <command>NOTIFY</command> commands as
    ordinary SQL commands.  The arrival of <command>NOTIFY</command>
    messages can subsequently be detected by calling
-   <function>PQnotifies</function>.<indexterm><primary>PQnotifies</primary></indexterm>
+   <function id="libpq-fun-pqnotifies">PQnotifies</function>.<indexterm><primary>PQnotifies</primary></indexterm>
   </para>
 
   <para>
-   The function <function>PQnotifies</function> returns the next notification
+   The function <xref linkend="libpq-fun-pqnotifies"/> returns the next notification
    from a list of unhandled notification messages received from the server.
    It returns a null pointer if there are no pending notifications.  Once a
-   notification is returned from <function>PQnotifies</function>, it is considered
+   notification is returned from <xref linkend="libpq-fun-pqnotifies"/>, it is considered
    handled and will be removed from the list of notifications.
 
 <synopsis>
@@ -5368,8 +5368,8 @@ typedef struct pgNotify
 </synopsis>
 
    After processing a <structname>PGnotify</structname> object returned
-   by <function>PQnotifies</function>, be sure to free it with
-   <function>PQfreemem</function>.  It is sufficient to free the
+   by <xref linkend="libpq-fun-pqnotifies"/>, be sure to free it with
+   <xref linkend="libpq-fun-pqfreemem"/>.  It is sufficient to free the
    <structname>PGnotify</structname> pointer; the
    <structfield>relname</structfield> and <structfield>extra</structfield>
    fields do not represent separate allocations.  (The names of these fields
@@ -5383,30 +5383,30 @@ typedef struct pgNotify
   </para>
 
   <para>
-   <function>PQnotifies</function> does not actually read data from the
+   <xref linkend="libpq-fun-pqnotifies"/> does not actually read data from the
    server; it just returns messages previously absorbed by another
    <application>libpq</application> function.  In ancient releases of
    <application>libpq</application>, the only way to ensure timely receipt
    of <command>NOTIFY</command> messages was to constantly submit commands, even
-   empty ones, and then check <function>PQnotifies</function> after each
-   <function>PQexec</function>.  While this still works, it is deprecated
+   empty ones, and then check <xref linkend="libpq-fun-pqnotifies"/> after each
+   <xref linkend="libpq-fun-pqexec"/>.  While this still works, it is deprecated
    as a waste of processing power.
   </para>
 
   <para>
    A better way to check for <command>NOTIFY</command> messages when you have no
    useful commands to execute is to call
-   <function>PQconsumeInput</function>, then check
-   <function>PQnotifies</function>.  You can use
+   <xref linkend="libpq-fun-pqconsumeinput"/>, then check
+   <xref linkend="libpq-fun-pqnotifies"/>.  You can use
    <function>select()</function> to wait for data to arrive from the
    server, thereby using no <acronym>CPU</acronym> power unless there is
-   something to do.  (See <function>PQsocket</function> to obtain the file
+   something to do.  (See <xref linkend="libpq-fun-pqsocket"/> to obtain the file
    descriptor number to use with <function>select()</function>.) Note that
    this will work OK whether you submit commands with
-   <function>PQsendQuery</function>/<function>PQgetResult</function> or
-   simply use <function>PQexec</function>.  You should, however, remember
-   to check <function>PQnotifies</function> after each
-   <function>PQgetResult</function> or <function>PQexec</function>, to
+   <xref linkend="libpq-fun-pqsendquery"/>/<xref linkend="libpq-fun-pqgetresult"/> or
+   simply use <xref linkend="libpq-fun-pqexec"/>.  You should, however, remember
+   to check <xref linkend="libpq-fun-pqnotifies"/> after each
+   <xref linkend="libpq-fun-pqgetresult"/> or <xref linkend="libpq-fun-pqexec"/>, to
    see if any notifications came in during the processing of the command.
   </para>
 
@@ -5430,7 +5430,7 @@ typedef struct pgNotify
 
   <para>
    The overall process is that the application first issues the SQL
-   <command>COPY</command> command via <function>PQexec</function> or one
+   <command>COPY</command> command via <xref linkend="libpq-fun-pqexec"/> or one
    of the equivalent functions.  The response to this (if there is no
    error in the command) will be a <structname>PGresult</structname> object bearing
    a status code of <literal>PGRES_COPY_OUT</literal> or
@@ -5442,26 +5442,26 @@ typedef struct pgNotify
    <literal>PGRES_COMMAND_OK</literal> for success or
    <literal>PGRES_FATAL_ERROR</literal> if some problem was encountered.
    At this point further SQL commands can be issued via
-   <function>PQexec</function>.  (It is not possible to execute other SQL
+   <xref linkend="libpq-fun-pqexec"/>.  (It is not possible to execute other SQL
    commands using the same connection while the <command>COPY</command>
    operation is in progress.)
   </para>
 
   <para>
    If a <command>COPY</command> command is issued via
-   <function>PQexec</function> in a string that could contain additional
+   <xref linkend="libpq-fun-pqexec"/> in a string that could contain additional
    commands, the application must continue fetching results via
-   <function>PQgetResult</function> after completing the <command>COPY</command>
-   sequence.  Only when <function>PQgetResult</function> returns
-   <symbol>NULL</symbol> is it certain that the <function>PQexec</function>
+   <xref linkend="libpq-fun-pqgetresult"/> after completing the <command>COPY</command>
+   sequence.  Only when <xref linkend="libpq-fun-pqgetresult"/> returns
+   <symbol>NULL</symbol> is it certain that the <xref linkend="libpq-fun-pqexec"/>
    command string is done and it is safe to issue more commands.
   </para>
 
   <para>
    The functions of this section should be executed only after obtaining
    a result status of <literal>PGRES_COPY_OUT</literal> or
-   <literal>PGRES_COPY_IN</literal> from <function>PQexec</function> or
-   <function>PQgetResult</function>.
+   <literal>PGRES_COPY_IN</literal> from <xref linkend="libpq-fun-pqexec"/> or
+   <xref linkend="libpq-fun-pqgetresult"/>.
   </para>
 
   <para>
@@ -5549,7 +5549,7 @@ typedef struct pgNotify
    <variablelist>
     <varlistentry id="libpq-pqputcopydata">
      <term>
-      <function>PQputCopyData</function>
+      <function id="libpq-fun-pqputcopydata">PQputCopyData</function>
       <indexterm>
        <primary>PQputCopyData</primary>
       </indexterm>
@@ -5571,7 +5571,7 @@ int PQputCopyData(PGconn *conn,
        The result is 1 if the data was queued, zero if it was not queued
        because of full buffers (this will only happen in nonblocking mode),
        or -1 if an error occurred.
-       (Use <function>PQerrorMessage</function> to retrieve details if
+       (Use <xref linkend="libpq-fun-pqerrormessage"/> to retrieve details if
        the return value is -1.  If the value is zero, wait for write-ready
        and try again.)
       </para>
@@ -5588,7 +5588,7 @@ int PQputCopyData(PGconn *conn,
 
     <varlistentry id="libpq-pqputcopyend">
      <term>
-      <function>PQputCopyEnd</function>
+      <function id="libpq-fun-pqputcopyend">PQputCopyEnd</function>
       <indexterm>
        <primary>PQputCopyEnd</primary>
       </indexterm>
@@ -5621,18 +5621,18 @@ int PQputCopyEnd(PGconn *conn,
        nonblocking mode, this may only indicate that the termination
        message was successfully queued.  (In nonblocking mode, to be
        certain that the data has been sent, you should next wait for
-       write-ready and call <function>PQflush</function>, repeating until it
+       write-ready and call <xref linkend="libpq-fun-pqflush"/>, repeating until it
        returns zero.)  Zero indicates that the function could not queue
        the termination message because of full buffers; this will only
        happen in nonblocking mode.  (In this case, wait for
-       write-ready and try the <function>PQputCopyEnd</function> call
+       write-ready and try the <xref linkend="libpq-fun-pqputcopyend"/> call
        again.)  If a hard error occurs, -1 is returned; you can use
-       <function>PQerrorMessage</function> to retrieve details.
+       <xref linkend="libpq-fun-pqerrormessage"/> to retrieve details.
       </para>
 
       <para>
-       After successfully calling <function>PQputCopyEnd</function>, call
-       <function>PQgetResult</function> to obtain the final result status of the
+       After successfully calling <xref linkend="libpq-fun-pqputcopyend"/>, call
+       <xref linkend="libpq-fun-pqgetresult"/> to obtain the final result status of the
        <command>COPY</command> command.  One can wait for this result to be
        available in the usual way.  Then return to normal operation.
       </para>
@@ -5654,7 +5654,7 @@ int PQputCopyEnd(PGconn *conn,
    <variablelist>
     <varlistentry id="libpq-pqgetcopydata">
      <term>
-      <function>PQgetCopyData</function>
+      <function id="libpq-fun-pqgetcopydata">PQgetCopyData</function>
       <indexterm>
        <primary>PQgetCopyData</primary>
       </indexterm>
@@ -5679,7 +5679,7 @@ int PQgetCopyData(PGconn *conn,
        be non-<symbol>NULL</symbol>.  <parameter>*buffer</parameter> is set to
        point to the allocated memory, or to <symbol>NULL</symbol> in cases
        where no buffer is returned.  A non-<symbol>NULL</symbol> result
-       buffer should be freed using <function>PQfreemem</function> when no longer
+       buffer should be freed using <xref linkend="libpq-fun-pqfreemem"/> when no longer
        needed.
       </para>
 
@@ -5692,23 +5692,23 @@ int PQgetCopyData(PGconn *conn,
        progress, but no row is yet available (this is only possible when
        <parameter>async</parameter> is true).  A result of -1 indicates that the
        <command>COPY</command> is done.  A result of -2 indicates that an
-       error occurred (consult <function>PQerrorMessage</function> for the reason).
+       error occurred (consult <xref linkend="libpq-fun-pqerrormessage"/> for the reason).
       </para>
 
       <para>
        When <parameter>async</parameter> is true (not zero),
-       <function>PQgetCopyData</function> will not block waiting for input; it
+       <xref linkend="libpq-fun-pqgetcopydata"/> will not block waiting for input; it
        will return zero if the <command>COPY</command> is still in progress
        but no complete row is available.  (In this case wait for read-ready
-       and then call <function>PQconsumeInput</function> before calling
-       <function>PQgetCopyData</function> again.)  When <parameter>async</parameter> is
-       false (zero), <function>PQgetCopyData</function> will block until data is
+       and then call <xref linkend="libpq-fun-pqconsumeinput"/> before calling
+       <xref linkend="libpq-fun-pqgetcopydata"/> again.)  When <parameter>async</parameter> is
+       false (zero), <xref linkend="libpq-fun-pqgetcopydata"/> will block until data is
        available or the operation completes.
       </para>
 
       <para>
-       After <function>PQgetCopyData</function> returns -1, call
-       <function>PQgetResult</function> to obtain the final result status of the
+       After <xref linkend="libpq-fun-pqgetcopydata"/> returns -1, call
+       <xref linkend="libpq-fun-pqgetresult"/> to obtain the final result status of the
        <command>COPY</command> command.  One can wait for this result to be
        available in the usual way.  Then return to normal operation.
       </para>
@@ -5731,7 +5731,7 @@ int PQgetCopyData(PGconn *conn,
    <variablelist>
     <varlistentry id="libpq-pqgetline">
      <term>
-      <function>PQgetline</function>
+      <function id="libpq-fun-pqgetline">PQgetline</function>
       <indexterm>
        <primary>PQgetline</primary>
       </indexterm>
@@ -5751,7 +5751,7 @@ int PQgetline(PGconn *conn,
       <para>
        This function copies up to <parameter>length</parameter>-1 characters into
        the buffer and converts the terminating newline into a zero byte.
-       <function>PQgetline</function> returns <symbol>EOF</symbol> at the
+       <xref linkend="libpq-fun-pqgetline"/> returns <symbol>EOF</symbol> at the
        end of input, 0 if the entire line has been read, and 1 if the
        buffer is full but the terminating newline has not yet been read.
        </para>
@@ -5770,7 +5770,7 @@ int PQgetline(PGconn *conn,
 
     <varlistentry id="libpq-pqgetlineasync">
      <term>
-      <function>PQgetlineAsync</function>
+      <function id="libpq-fun-pqgetlineasync">PQgetlineAsync</function>
       <indexterm>
        <primary>PQgetlineAsync</primary>
       </indexterm>
@@ -5788,28 +5788,28 @@ int PQgetlineAsync(PGconn *conn,
       </para>
 
       <para>
-       This function is similar to <function>PQgetline</function>, but it can be used
+       This function is similar to <xref linkend="libpq-fun-pqgetline"/>, but it can be used
        by applications
        that must read <command>COPY</command> data asynchronously, that is, without blocking.
        Having issued the <command>COPY</command> command and gotten a <literal>PGRES_COPY_OUT</literal>
        response, the
-       application should call <function>PQconsumeInput</function> and
-       <function>PQgetlineAsync</function> until the
+       application should call <xref linkend="libpq-fun-pqconsumeinput"/> and
+       <xref linkend="libpq-fun-pqgetlineasync"/> until the
        end-of-data signal is detected.
        </para>
        <para>
-       Unlike <function>PQgetline</function>, this function takes
+       Unlike <xref linkend="libpq-fun-pqgetline"/>, this function takes
        responsibility for detecting end-of-data.
       </para>
 
       <para>
-       On each call, <function>PQgetlineAsync</function> will return data if a
+       On each call, <xref linkend="libpq-fun-pqgetlineasync"/> will return data if a
        complete data row is available in <application>libpq</application>'s input buffer.
        Otherwise, no data is returned until the rest of the row arrives.
        The function returns -1 if the end-of-copy-data marker has been recognized,
        or 0 if no data is available, or a positive number giving the number of
        bytes of data returned.  If -1 is returned, the caller must next call
-       <function>PQendcopy</function>, and then return to normal processing.
+       <xref linkend="libpq-fun-pqendcopy"/>, and then return to normal processing.
       </para>
 
       <para>
@@ -5829,7 +5829,7 @@ int PQgetlineAsync(PGconn *conn,
 
     <varlistentry id="libpq-pqputline">
      <term>
-      <function>PQputline</function>
+      <function id="libpq-fun-pqputline">PQputline</function>
       <indexterm>
        <primary>PQputline</primary>
       </indexterm>
@@ -5847,10 +5847,10 @@ int PQputline(PGconn *conn,
 
       <para>
        The <command>COPY</command> data stream sent by a series of calls
-       to <function>PQputline</function> has the same format as that
-       returned by <function>PQgetlineAsync</function>, except that
+       to <xref linkend="libpq-fun-pqputline"/> has the same format as that
+       returned by <xref linkend="libpq-fun-pqgetlineasync"/>, except that
        applications are not obliged to send exactly one data row per
-       <function>PQputline</function> call; it is okay to send a partial
+       <xref linkend="libpq-fun-pqputline"/> call; it is okay to send a partial
        line or multiple lines per call.
       </para>
 
@@ -5861,7 +5861,7 @@ int PQputline(PGconn *conn,
         <literal>\.</literal> as a final line to indicate to the server that it had
         finished sending <command>COPY</command> data.  While this still works, it is deprecated and the
         special meaning of <literal>\.</literal> can be expected to be removed in a
-        future release.  It is sufficient to call <function>PQendcopy</function> after
+        future release.  It is sufficient to call <xref linkend="libpq-fun-pqendcopy"/> after
         having sent the actual data.
        </para>
       </note>
@@ -5870,7 +5870,7 @@ int PQputline(PGconn *conn,
 
     <varlistentry id="libpq-pqputnbytes">
      <term>
-      <function>PQputnbytes</function>
+      <function id="libpq-fun-pqputnbytes">PQputnbytes</function>
       <indexterm>
        <primary>PQputnbytes</primary>
       </indexterm>
@@ -5888,7 +5888,7 @@ int PQputnbytes(PGconn *conn,
       </para>
 
       <para>
-       This is exactly like <function>PQputline</function>, except that the data
+       This is exactly like <xref linkend="libpq-fun-pqputline"/>, except that the data
        buffer need not be null-terminated since the number of bytes to send is
        specified directly.  Use this procedure when sending binary data.
       </para>
@@ -5897,7 +5897,7 @@ int PQputnbytes(PGconn *conn,
 
     <varlistentry id="libpq-pqendcopy">
      <term>
-      <function>PQendcopy</function>
+      <function id="libpq-fun-pqendcopy">PQendcopy</function>
       <indexterm>
        <primary>PQendcopy</primary>
       </indexterm>
@@ -5911,35 +5911,35 @@ int PQendcopy(PGconn *conn);
 </synopsis>
        This function waits until the  server  has  finished  the copying.
        It should either be issued when the  last  string  has  been sent
-       to  the  server using <function>PQputline</function> or when the
+       to  the  server using <xref linkend="libpq-fun-pqputline"/> or when the
        last string has been  received  from  the  server using
        <function>PGgetline</function>.  It must be issued or the server
        will get <quote>out of sync</quote> with  the client.   Upon return
        from this function, the server is ready to receive the next SQL
        command.  The return value is 0  on  successful  completion,
-       nonzero otherwise.  (Use <function>PQerrorMessage</function> to
+       nonzero otherwise.  (Use <xref linkend="libpq-fun-pqerrormessage"/> to
        retrieve details if the return value is nonzero.)
       </para>
 
       <para>
-       When using <function>PQgetResult</function>, the application should
+       When using <xref linkend="libpq-fun-pqgetresult"/>, the application should
        respond to a <literal>PGRES_COPY_OUT</literal> result by executing
-       <function>PQgetline</function> repeatedly, followed by
-       <function>PQendcopy</function> after the terminator line is seen.
-       It should then return to the <function>PQgetResult</function> loop
-       until <function>PQgetResult</function> returns a null pointer.
+       <xref linkend="libpq-fun-pqgetline"/> repeatedly, followed by
+       <xref linkend="libpq-fun-pqendcopy"/> after the terminator line is seen.
+       It should then return to the <xref linkend="libpq-fun-pqgetresult"/> loop
+       until <xref linkend="libpq-fun-pqgetresult"/> returns a null pointer.
        Similarly a <literal>PGRES_COPY_IN</literal> result is processed
-       by a series of <function>PQputline</function> calls followed by
-       <function>PQendcopy</function>, then return to the
-       <function>PQgetResult</function> loop.  This arrangement will
+       by a series of <xref linkend="libpq-fun-pqputline"/> calls followed by
+       <xref linkend="libpq-fun-pqendcopy"/>, then return to the
+       <xref linkend="libpq-fun-pqgetresult"/> loop.  This arrangement will
        ensure that a <command>COPY</command> command embedded in a series
        of <acronym>SQL</acronym> commands will be executed correctly.
       </para>
 
       <para>
        Older applications are likely to submit a <command>COPY</command>
-       via <function>PQexec</function> and assume that the transaction
-       is done after <function>PQendcopy</function>.  This will work
+       via <xref linkend="libpq-fun-pqexec"/> and assume that the transaction
+       is done after <xref linkend="libpq-fun-pqendcopy"/>.  This will work
        correctly only if the <command>COPY</command> is the only
        <acronym>SQL</acronym> command in the command string.
       </para>
@@ -5962,7 +5962,7 @@ int PQendcopy(PGconn *conn);
   <variablelist>
    <varlistentry id="libpq-pqclientencoding">
     <term>
-     <function>PQclientEncoding</function>
+     <function id="libpq-fun-pqclientencoding">PQclientEncoding</function>
      <indexterm>
       <primary>PQclientEncoding</primary>
      </indexterm>
@@ -5989,7 +5989,7 @@ char *pg_encoding_to_char(int <replaceable>encoding_id</replaceable>);
 
    <varlistentry id="libpq-pqsetclientencoding">
     <term>
-     <function>PQsetClientEncoding</function>
+     <function id="libpq-fun-pqsetclientencoding">PQsetClientEncoding</function>
      <indexterm>
       <primary>PQsetClientEncoding</primary>
      </indexterm>
@@ -6006,14 +6006,14 @@ int PQsetClientEncoding(PGconn *<replaceable>conn</replaceable>, const char *<re
       and <replaceable>encoding</replaceable> is the encoding you want to
       use. If the function successfully sets the encoding, it returns 0,
       otherwise -1. The current encoding for this connection can be
-      determined by using <function>PQclientEncoding</function>.
+      determined by using <xref linkend="libpq-fun-pqclientencoding"/>.
      </para>
     </listitem>
    </varlistentry>
 
    <varlistentry id="libpq-pqseterrorverbosity">
     <term>
-     <function>PQsetErrorVerbosity</function>
+     <function id="libpq-fun-pqseterrorverbosity">PQsetErrorVerbosity</function>
      <indexterm>
       <primary>PQsetErrorVerbosity</primary>
      </indexterm>
@@ -6022,7 +6022,7 @@ int PQsetClientEncoding(PGconn *<replaceable>conn</replaceable>, const char *<re
     <listitem>
      <para>
       Determines the verbosity of messages returned by
-      <function>PQerrorMessage</function> and <function>PQresultErrorMessage</function>.
+      <xref linkend="libpq-fun-pqerrormessage"/> and <xref linkend="libpq-fun-pqresulterrormessage"/>.
 <synopsis>
 typedef enum
 {
@@ -6035,7 +6035,7 @@ typedef enum
 PGVerbosity PQsetErrorVerbosity(PGconn *conn, PGVerbosity verbosity);
 </synopsis>
 
-      <function>PQsetErrorVerbosity</function> sets the verbosity mode,
+      <xref linkend="libpq-fun-pqseterrorverbosity"/> sets the verbosity mode,
       returning the connection's previous setting.
       In <firstterm>TERSE</firstterm> mode, returned messages include
       severity, primary text, and position only; this will normally fit on a
@@ -6052,7 +6052,7 @@ PGVerbosity PQsetErrorVerbosity(PGconn *conn, PGVerbosity verbosity);
       Changing the verbosity setting does not affect the messages available
       from already-existing <structname>PGresult</structname> objects, only
       subsequently-created ones.
-      (But see <function>PQresultVerboseErrorMessage</function> if you
+      (But see <xref linkend="libpq-fun-pqresultverboseerrormessage"/> if you
       want to print a previous error with a different verbosity.)
      </para>
     </listitem>
@@ -6060,7 +6060,7 @@ PGVerbosity PQsetErrorVerbosity(PGconn *conn, PGVerbosity verbosity);
 
    <varlistentry id="libpq-pqseterrorcontextvisibility">
     <term>
-     <function>PQsetErrorContextVisibility</function>
+     <function id="libpq-fun-pqseterrorcontextvisibility">PQsetErrorContextVisibility</function>
      <indexterm>
       <primary>PQsetErrorContextVisibility</primary>
      </indexterm>
@@ -6069,8 +6069,8 @@ PGVerbosity PQsetErrorVerbosity(PGconn *conn, PGVerbosity verbosity);
     <listitem>
      <para>
       Determines the handling of <literal>CONTEXT</literal> fields in messages
-      returned by <function>PQerrorMessage</function>
-      and <function>PQresultErrorMessage</function>.
+      returned by <xref linkend="libpq-fun-pqerrormessage"/>
+      and <xref linkend="libpq-fun-pqresulterrormessage"/>.
 <synopsis>
 typedef enum
 {
@@ -6082,7 +6082,7 @@ typedef enum
 PGContextVisibility PQsetErrorContextVisibility(PGconn *conn, PGContextVisibility show_context);
 </synopsis>
 
-      <function>PQsetErrorContextVisibility</function> sets the context display mode,
+      <xref linkend="libpq-fun-pqseterrorcontextvisibility"/> sets the context display mode,
       returning the connection's previous setting.  This mode controls
       whether the <literal>CONTEXT</literal> field is included in messages.
       The <firstterm>NEVER</firstterm> mode
@@ -6100,7 +6100,7 @@ PGContextVisibility PQsetErrorContextVisibility(PGconn *conn, PGContextVisibilit
       affect the messages available from
       already-existing <structname>PGresult</structname> objects, only
       subsequently-created ones.
-      (But see <function>PQresultVerboseErrorMessage</function> if you
+      (But see <xref linkend="libpq-fun-pqresultverboseerrormessage"/> if you
       want to print a previous error with a different display mode.)
      </para>
     </listitem>
@@ -6108,7 +6108,7 @@ PGContextVisibility PQsetErrorContextVisibility(PGconn *conn, PGContextVisibilit
 
    <varlistentry id="libpq-pqtrace">
     <term>
-     <function>PQtrace</function>
+     <function id="libpq-fun-pqtrace">PQtrace</function>
      <indexterm>
       <primary>PQtrace</primary>
      </indexterm>
@@ -6138,7 +6138,7 @@ void PQtrace(PGconn *conn, FILE *stream);
 
    <varlistentry id="libpq-pquntrace">
     <term>
-     <function>PQuntrace</function>
+     <function id="libpq-fun-pquntrace">PQuntrace</function>
      <indexterm>
       <primary>PQuntrace</primary>
      </indexterm>
@@ -6146,7 +6146,7 @@ void PQtrace(PGconn *conn, FILE *stream);
 
     <listitem>
      <para>
-      Disables tracing started by <function>PQtrace</function>.
+      Disables tracing started by <xref linkend="libpq-fun-pqtrace"/>.
 <synopsis>
 void PQuntrace(PGconn *conn);
 </synopsis>
@@ -6167,7 +6167,7 @@ void PQuntrace(PGconn *conn);
   <variablelist>
    <varlistentry id="libpq-pqfreemem">
     <term>
-     <function>PQfreemem</function>
+     <function id="libpq-fun-pqfreemem">PQfreemem</function>
      <indexterm>
       <primary>PQfreemem</primary>
      </indexterm>
@@ -6183,10 +6183,10 @@ void PQfreemem(void *ptr);
 
      <para>
       Frees memory allocated by <application>libpq</application>, particularly
-      <function>PQescapeByteaConn</function>,
-      <function>PQescapeBytea</function>,
-      <function>PQunescapeBytea</function>,
-      and <function>PQnotifies</function>.
+      <xref linkend="libpq-fun-pqescapebyteaconn"/>,
+      <xref linkend="libpq-fun-pqescapebytea"/>,
+      <xref linkend="libpq-fun-pqunescapebytea"/>,
+      and <xref linkend="libpq-fun-pqnotifies"/>.
       It is particularly important that this function, rather than
       <function>free()</function>, be used on Microsoft Windows.  This is because
       allocating memory in a DLL and releasing it in the application works
@@ -6200,7 +6200,7 @@ void PQfreemem(void *ptr);
 
    <varlistentry id="libpq-pqconninfofree">
     <term>
-     <function>PQconninfoFree</function>
+     <function id="libpq-fun-pqconninfofree">PQconninfoFree</function>
      <indexterm>
       <primary>PQconninfoFree</primary>
      </indexterm>
@@ -6209,14 +6209,14 @@ void PQfreemem(void *ptr);
     <listitem>
      <para>
       Frees the data structures allocated by
-      <function>PQconndefaults</function> or <function>PQconninfoParse</function>.
+      <xref linkend="libpq-fun-pqconndefaults"/> or <xref linkend="libpq-fun-pqconninfoparse"/>.
 <synopsis>
 void PQconninfoFree(PQconninfoOption *connOptions);
 </synopsis>
      </para>
 
      <para>
-      A simple <function>PQfreemem</function> will not do for this, since
+      A simple <xref linkend="libpq-fun-pqfreemem"/> will not do for this, since
       the array contains references to subsidiary strings.
      </para>
     </listitem>
@@ -6224,7 +6224,7 @@ void PQconninfoFree(PQconninfoOption *connOptions);
 
    <varlistentry id="libpq-pqencryptpasswordconn">
     <term>
-     <function>PQencryptPasswordConn</function>
+     <function id="libpq-fun-pqencryptpasswordconn">PQencryptPasswordConn</function>
      <indexterm>
       <primary>PQencryptPasswordConn</primary>
      </indexterm>
@@ -6261,14 +6261,14 @@ char *PQencryptPasswordConn(PGconn *conn, const char *passwd, const char *user,
       is busy executing another query. If you wish to use the default
       algorithm for the server but want to avoid blocking, query
       <varname>password_encryption</varname> yourself before calling
-      <function>PQencryptPasswordConn</function>, and pass that value as the
+      <xref linkend="libpq-fun-pqencryptpasswordconn"/>, and pass that value as the
       <parameter>algorithm</parameter>.
      </para>
 
      <para>
       The return value is a string allocated by <function>malloc</function>.
       The caller can assume the string doesn't contain any special characters
-      that would require escaping.  Use <function>PQfreemem</function> to free the
+      that would require escaping.  Use <xref linkend="libpq-fun-pqfreemem"/> to free the
       result when done with it. On error, returns <symbol>NULL</symbol>, and
       a suitable message is stored in the connection object.
      </para>
@@ -6278,7 +6278,7 @@ char *PQencryptPasswordConn(PGconn *conn, const char *passwd, const char *user,
 
    <varlistentry id="libpq-pqencryptpassword">
     <term>
-     <function>PQencryptPassword</function>
+     <function id="libpq-fun-pqencryptpassword">PQencryptPassword</function>
      <indexterm>
       <primary>PQencryptPassword</primary>
      </indexterm>
@@ -6290,9 +6290,9 @@ char *PQencryptPasswordConn(PGconn *conn, const char *passwd, const char *user,
 <synopsis>
 char *PQencryptPassword(const char *passwd, const char *user);
 </synopsis>
-      <function>PQencryptPassword</function> is an older, deprecated version of
-      <function>PQencryptPasswordConn</function>. The difference is that
-      <function>PQencryptPassword</function> does not
+      <xref linkend="libpq-fun-pqencryptpassword"/> is an older, deprecated version of
+      <xref linkend="libpq-fun-pqencryptpasswordconn"/>. The difference is that
+      <xref linkend="libpq-fun-pqencryptpassword"/> does not
       require a connection object, and <literal>md5</literal> is always used as the
       encryption algorithm.
      </para>
@@ -6301,7 +6301,7 @@ char *PQencryptPassword(const char *passwd, const char *user);
 
    <varlistentry id="libpq-pqmakeemptypgresult">
     <term>
-     <function>PQmakeEmptyPGresult</function>
+     <function id="libpq-fun-pqmakeemptypgresult">PQmakeEmptyPGresult</function>
      <indexterm>
       <primary>PQmakeEmptyPGresult</primary>
      </indexterm>
@@ -6328,8 +6328,8 @@ PGresult *PQmakeEmptyPGresult(PGconn *conn, ExecStatusType status);
       registered in the connection are copied into the
       <structname>PGresult</structname>.  (They do not get
       <literal>PGEVT_RESULTCREATE</literal> calls, but see
-      <function>PQfireResultCreateEvents</function>.)
-      Note that <function>PQclear</function> should eventually be called
+      <xref linkend="libpq-fun-pqfireresultcreateevents"/>.)
+      Note that <xref linkend="libpq-fun-pqclear"/> should eventually be called
       on the object, just as with a <structname>PGresult</structname>
       returned by <application>libpq</application> itself.
      </para>
@@ -6338,7 +6338,7 @@ PGresult *PQmakeEmptyPGresult(PGconn *conn, ExecStatusType status);
 
    <varlistentry id="libpq-pqfireresultcreateevents">
     <term>
-     <function>PQfireResultCreateEvents</function>
+     <function id="libpq-fun-pqfireresultcreateevents">PQfireResultCreateEvents</function>
      <indexterm>
       <primary>PQfireResultCreateEvents</primary>
      </indexterm>
@@ -6369,7 +6369,7 @@ int PQfireResultCreateEvents(PGconn *conn, PGresult *res);
 
      <para>
       The main reason that this function is separate from
-      <function>PQmakeEmptyPGresult</function> is that it is often appropriate
+      <xref linkend="libpq-fun-pqmakeemptypgresult"/> is that it is often appropriate
       to create a <structname>PGresult</structname> and fill it with data
       before invoking the event procedures.
      </para>
@@ -6378,7 +6378,7 @@ int PQfireResultCreateEvents(PGconn *conn, PGresult *res);
 
    <varlistentry id="libpq-pqcopyresult">
     <term>
-     <function>PQcopyResult</function>
+     <function id="libpq-fun-pqcopyresult">PQcopyResult</function>
      <indexterm>
       <primary>PQcopyResult</primary>
      </indexterm>
@@ -6388,7 +6388,7 @@ int PQfireResultCreateEvents(PGconn *conn, PGresult *res);
      <para>
       Makes a copy of a <structname>PGresult</structname> object.  The copy is
       not linked to the source result in any way and
-      <function>PQclear</function> must be called when the copy is no longer
+      <xref linkend="libpq-fun-pqclear"/> must be called when the copy is no longer
       needed.  If the function fails, <symbol>NULL</symbol> is returned.
 
 <synopsis>
@@ -6417,7 +6417,7 @@ PGresult *PQcopyResult(const PGresult *src, int flags);
 
    <varlistentry id="libpq-pqsetresultattrs">
     <term>
-     <function>PQsetResultAttrs</function>
+     <function id="libpq-fun-pqsetresultattrs">PQsetResultAttrs</function>
      <indexterm>
       <primary>PQsetResultAttrs</primary>
      </indexterm>
@@ -6445,7 +6445,7 @@ int PQsetResultAttrs(PGresult *res, int numAttributes, PGresAttDesc *attDescs);
 
    <varlistentry id="libpq-pqsetvalue">
     <term>
-     <function>PQsetvalue</function>
+     <function id="libpq-fun-pqsetvalue">PQsetvalue</function>
      <indexterm>
       <primary>PQsetvalue</primary>
      </indexterm>
@@ -6462,7 +6462,7 @@ int PQsetvalue(PGresult *res, int tup_num, int field_num, char *value, int len);
      <para>
       The function will automatically grow the result's internal tuples array
       as needed.  However, the <parameter>tup_num</parameter> argument must be
-      less than or equal to <function>PQntuples</function>, meaning this
+      less than or equal to <xref linkend="libpq-fun-pqntuples"/>, meaning this
       function can only grow the tuples array one tuple at a time.  But any
       field of any existing tuple can be modified in any order.  If a value at
       <parameter>field_num</parameter> already exists, it will be overwritten.
@@ -6479,7 +6479,7 @@ int PQsetvalue(PGresult *res, int tup_num, int field_num, char *value, int len);
 
    <varlistentry id="libpq-pqresultalloc">
     <term>
-     <function>PQresultAlloc</function>
+     <function id="libpq-fun-pqresultalloc">PQresultAlloc</function>
      <indexterm>
       <primary>PQresultAlloc</primary>
      </indexterm>
@@ -6505,7 +6505,7 @@ void *PQresultAlloc(PGresult *res, size_t nBytes);
 
    <varlistentry id="libpq-pqresultmemorysize">
     <term>
-     <function>PQresultMemorySize</function>
+     <function id="libpq-fun-pqresultmemorysize">PQresultMemorySize</function>
      <indexterm>
       <primary>PQresultMemorySize</primary>
      </indexterm>
@@ -6523,7 +6523,7 @@ size_t PQresultMemorySize(const PGresult *res);
      <para>
       This value is the sum of all <function>malloc</function> requests
       associated with the <structname>PGresult</structname> object, that is,
-      all the space that will be freed by <function>PQclear</function>.
+      all the space that will be freed by <xref linkend="libpq-fun-pqclear"/>.
       This information can be useful for managing memory consumption.
      </para>
     </listitem>
@@ -6531,7 +6531,7 @@ size_t PQresultMemorySize(const PGresult *res);
 
    <varlistentry id="libpq-pqlibversion">
     <term>
-     <function>PQlibVersion</function>
+     <function id="libpq-fun-pqlibversion">PQlibVersion</function>
      <indexterm>
       <primary>PQlibVersion</primary>
       <seealso>PQserverVersion</seealso>
@@ -6551,7 +6551,7 @@ int PQlibVersion(void);
       run time, whether specific functionality is available in the currently
       loaded version of libpq. The function can be used, for example,
       to determine which connection options are available in
-      <function>PQconnectdb</function>.
+      <xref linkend="libpq-fun-pqconnectdb"/>.
      </para>
 
      <para>
@@ -6565,14 +6565,14 @@ int PQlibVersion(void);
       Prior to major version 10, <productname>PostgreSQL</productname> used
       three-part version numbers in which the first two parts together
       represented the major version.  For those
-      versions, <function>PQlibVersion</function> uses two digits for each
+      versions, <xref linkend="libpq-fun-pqlibversion"/> uses two digits for each
       part; for example version 9.1.5 will be returned as 90105, and
       version 9.2.0 will be returned as 90200.
      </para>
 
      <para>
       Therefore, for purposes of determining feature compatibility,
-      applications should divide the result of <function>PQlibVersion</function>
+      applications should divide the result of <xref linkend="libpq-fun-pqlibversion"/>
       by 100 not 10000 to determine a logical major version number.
       In all release series, only the last two digits differ between
       minor releases (bug-fix releases).
@@ -6621,11 +6621,11 @@ int PQlibVersion(void);
   </para>
 
   <para>
-   The function <function>PQsetNoticeReceiver</function>
+   The function <function id="libpq-fun-pqsetnoticereceiver">PQsetNoticeReceiver</function>
    <indexterm><primary>notice receiver</primary></indexterm>
    <indexterm><primary>PQsetNoticeReceiver</primary></indexterm> sets or
    examines the current notice receiver for a connection object.
-   Similarly, <function>PQsetNoticeProcessor</function>
+   Similarly, <function id="libpq-fun-pqsetnoticeprocessor">PQsetNoticeProcessor</function>
    <indexterm><primary>notice processor</primary></indexterm>
    <indexterm><primary>PQsetNoticeProcessor</primary></indexterm> sets or
    examines the current notice processor.
@@ -6658,17 +6658,17 @@ PQsetNoticeProcessor(PGconn *conn,
    receiver function is called.  It is passed the message in the form of
    a <symbol>PGRES_NONFATAL_ERROR</symbol>
    <structname>PGresult</structname>.  (This allows the receiver to extract
-   individual fields using <function>PQresultErrorField</function>, or obtain a
-   complete preformatted message using <function>PQresultErrorMessage</function>
-   or <function>PQresultVerboseErrorMessage</function>.)  The same
-   void pointer passed to <function>PQsetNoticeReceiver</function> is also
+   individual fields using <xref linkend="libpq-fun-pqresulterrorfield"/>, or obtain a
+   complete preformatted message using <xref linkend="libpq-fun-pqresulterrormessage"/>
+   or <xref linkend="libpq-fun-pqresultverboseerrormessage"/>.)  The same
+   void pointer passed to <xref linkend="libpq-fun-pqsetnoticereceiver"/> is also
    passed.  (This pointer can be used to access application-specific state
    if needed.)
   </para>
 
   <para>
    The default notice receiver simply extracts the message (using
-   <function>PQresultErrorMessage</function>) and passes it to the notice
+   <xref linkend="libpq-fun-pqresulterrormessage"/>) and passes it to the notice
    processor.
   </para>
 
@@ -6676,7 +6676,7 @@ PQsetNoticeProcessor(PGconn *conn,
    The notice processor is responsible for handling a notice or warning
    message given in text form.  It is passed the string text of the message
    (including a trailing newline), plus a void pointer that is the same
-   one passed to <function>PQsetNoticeProcessor</function>.  (This pointer
+   one passed to <xref linkend="libpq-fun-pqsetnoticeprocessor"/>.  (This pointer
    can be used to access application-specific state if needed.)
   </para>
 
@@ -6698,7 +6698,7 @@ defaultNoticeProcessor(void *arg, const char *message)
    from it exist.  At creation of a <structname>PGresult</structname>, the
    <structname>PGconn</structname>'s current notice handling pointers are copied
    into the <structname>PGresult</structname> for possible use by functions like
-   <function>PQgetvalue</function>.
+   <xref linkend="libpq-fun-pqgetvalue"/>.
   </para>
 
  </sect1>
@@ -6728,9 +6728,9 @@ defaultNoticeProcessor(void *arg, const char *message)
    In addition there is an <firstterm>instance data</firstterm> pointer, which starts
    out <symbol>NULL</symbol> in every <structname>PGconn</structname> and <structname>PGresult</structname>.
    This pointer can be manipulated using the
-   <function>PQinstanceData</function>,
-   <function>PQsetInstanceData</function>,
-   <function>PQresultInstanceData</function> and
+   <xref linkend="libpq-fun-pqinstancedata"/>,
+   <xref linkend="libpq-fun-pqsetinstancedata"/>,
+   <xref linkend="libpq-fun-pqresultinstancedata"/> and
    <function>PQsetResultInstanceData</function> functions.  Note that
    unlike the passthrough pointer, instance data of a <structname>PGconn</structname>
    is not automatically inherited by <structname>PGresult</structname>s created from
@@ -6755,7 +6755,7 @@ defaultNoticeProcessor(void *arg, const char *message)
      <term><literal>PGEVT_REGISTER</literal></term>
      <listitem>
       <para>
-       The register event occurs when <function>PQregisterEventProc</function>
+       The register event occurs when <xref linkend="libpq-fun-pqregistereventproc"/>
        is called.  It is the ideal time to initialize any
        <literal>instanceData</literal> an event procedure may need.  Only one
        register event will be fired per event handler per connection.  If the
@@ -6773,7 +6773,7 @@ typedef struct
        <structname>PGEventRegister *</structname>.  This structure contains a
        <structname>PGconn</structname> that should be in the
        <literal>CONNECTION_OK</literal> status; guaranteed if one calls
-       <function>PQregisterEventProc</function> right after obtaining a good
+       <xref linkend="libpq-fun-pqregistereventproc"/> right after obtaining a good
        <structname>PGconn</structname>.  When returning a failure code, all
        cleanup must be performed as no <literal>PGEVT_CONNDESTROY</literal>
        event will be sent.
@@ -6786,12 +6786,12 @@ typedef struct
      <listitem>
       <para>
        The connection reset event is fired on completion of
-       <function>PQreset</function> or <function>PQresetPoll</function>.  In
+       <xref linkend="libpq-fun-pqreset"/> or <xref linkend="libpq-fun-pqresetpoll"/>.  In
        both cases, the event is only fired if the reset was successful.  If
        the event procedure fails, the entire connection reset will fail; the
        <structname>PGconn</structname> is put into
        <literal>CONNECTION_BAD</literal> status and
-       <function>PQresetPoll</function> will return
+       <xref linkend="libpq-fun-pqresetpoll"/> will return
        <literal>PGRES_POLLING_FAILED</literal>.
 
 <synopsis>
@@ -6819,7 +6819,7 @@ typedef struct
      <listitem>
       <para>
        The connection destroy event is fired in response to
-       <function>PQfinish</function>.  It is the event procedure's
+       <xref linkend="libpq-fun-pqfinish"/>.  It is the event procedure's
        responsibility to properly clean up its event data as libpq has no
        ability to manage this memory.  Failure to clean up will lead
        to memory leaks.
@@ -6834,9 +6834,9 @@ typedef struct
        When a <literal>PGEVT_CONNDESTROY</literal> event is received, the
        <parameter>evtInfo</parameter> pointer should be cast to a
        <structname>PGEventConnDestroy *</structname>.  This event is fired
-       prior to <function>PQfinish</function> performing any other cleanup.
+       prior to <xref linkend="libpq-fun-pqfinish"/> performing any other cleanup.
        The return value of the event procedure is ignored since there is no
-       way of indicating a failure from <function>PQfinish</function>.  Also,
+       way of indicating a failure from <xref linkend="libpq-fun-pqfinish"/>.  Also,
        an event procedure failure should not abort the process of cleaning up
        unwanted memory.
       </para>
@@ -6849,7 +6849,7 @@ typedef struct
       <para>
        The result creation event is fired in response to any query execution
        function that generates a result, including
-       <function>PQgetResult</function>.  This event will only be fired after
+       <xref linkend="libpq-fun-pqgetresult"/>.  This event will only be fired after
        the result has been created successfully.
 
 <synopsis>
@@ -6868,7 +6868,7 @@ typedef struct
        <literal>instanceData</literal> that needs to be associated with the
        result.  If the event procedure fails, the result will be cleared and
        the failure will be propagated.  The event procedure must not try to
-       <function>PQclear</function> the result object for itself.  When returning a
+       <xref linkend="libpq-fun-pqclear"/> the result object for itself.  When returning a
        failure code, all cleanup must be performed as no
        <literal>PGEVT_RESULTDESTROY</literal> event will be sent.
       </para>
@@ -6880,7 +6880,7 @@ typedef struct
      <listitem>
       <para>
        The result copy event is fired in response to
-       <function>PQcopyResult</function>.  This event will only be fired after
+       <xref linkend="libpq-fun-pqcopyresult"/>.  This event will only be fired after
        the copy is complete.  Only event procedures that have
        successfully handled the <literal>PGEVT_RESULTCREATE</literal>
        or <literal>PGEVT_RESULTCOPY</literal> event for the source result
@@ -6915,7 +6915,7 @@ typedef struct
      <listitem>
       <para>
        The result destroy event is fired in response to a
-       <function>PQclear</function>.  It is the event procedure's
+       <xref linkend="libpq-fun-pqclear"/>.  It is the event procedure's
        responsibility to properly clean up its event data as libpq has no
        ability to manage this memory.  Failure to clean up will lead
        to memory leaks.
@@ -6930,9 +6930,9 @@ typedef struct
        When a <literal>PGEVT_RESULTDESTROY</literal> event is received, the
        <parameter>evtInfo</parameter> pointer should be cast to a
        <structname>PGEventResultDestroy *</structname>.  This event is fired
-       prior to <function>PQclear</function> performing any other cleanup.
+       prior to <xref linkend="libpq-fun-pqclear"/> performing any other cleanup.
        The return value of the event procedure is ignored since there is no
-       way of indicating a failure from <function>PQclear</function>.  Also,
+       way of indicating a failure from <xref linkend="libpq-fun-pqclear"/>.  Also,
        an event procedure failure should not abort the process of cleaning up
        unwanted memory.
       </para>
@@ -6968,7 +6968,7 @@ int eventproc(PGEventId evtId, void *evtInfo, void *passThrough)
        <parameter>evtInfo</parameter> pointer must be cast to the appropriate
        structure type to obtain further information about the event.
        The <parameter>passThrough</parameter> parameter is the pointer
-       provided to <function>PQregisterEventProc</function> when the event
+       provided to <xref linkend="libpq-fun-pqregistereventproc"/> when the event
        procedure was registered.  The function should return a non-zero value
        if it succeeds and zero if it fails.
       </para>
@@ -7002,7 +7002,7 @@ int eventproc(PGEventId evtId, void *evtInfo, void *passThrough)
     <variablelist>
     <varlistentry id="libpq-pqregistereventproc">
      <term>
-      <function>PQregisterEventProc</function>
+      <function id="libpq-fun-pqregistereventproc">PQregisterEventProc</function>
       <indexterm>
        <primary>PQregisterEventProc</primary>
       </indexterm>
@@ -7042,7 +7042,7 @@ int PQregisterEventProc(PGconn *conn, PGEventProc proc,
 
     <varlistentry id="libpq-pqsetinstancedata">
      <term>
-      <function>PQsetInstanceData</function>
+      <function id="libpq-fun-pqsetinstancedata">PQsetInstanceData</function>
       <indexterm>
        <primary>PQsetInstanceData</primary>
       </indexterm>
@@ -7064,7 +7064,7 @@ int PQsetInstanceData(PGconn *conn, PGEventProc proc, void *data);
 
     <varlistentry id="libpq-pqinstancedata">
      <term>
-      <function>PQinstanceData</function>
+      <function id="libpq-fun-pqinstancedata">PQinstanceData</function>
       <indexterm>
        <primary>PQinstanceData</primary>
       </indexterm>
@@ -7085,7 +7085,7 @@ void *PQinstanceData(const PGconn *conn, PGEventProc proc);
 
     <varlistentry id="libpq-pqresultsetinstancedata">
      <term>
-      <function>PQresultSetInstanceData</function>
+      <function id="libpq-fun-pqresultsetinstancedata">PQresultSetInstanceData</function>
       <indexterm>
        <primary>PQresultSetInstanceData</primary>
       </indexterm>
@@ -7105,8 +7105,8 @@ int PQresultSetInstanceData(PGresult *res, PGEventProc proc, void *data);
 
       <para>
        Beware that any storage represented by <parameter>data</parameter>
-       will not be accounted for by <function>PQresultMemorySize</function>,
-       unless it is allocated using <function>PQresultAlloc</function>.
+       will not be accounted for by <xref linkend="libpq-fun-pqresultmemorysize"/>,
+       unless it is allocated using <xref linkend="libpq-fun-pqresultalloc"/>.
        (Doing so is recommendable because it eliminates the need to free
        such storage explicitly when the result is destroyed.)
       </para>
@@ -7115,7 +7115,7 @@ int PQresultSetInstanceData(PGresult *res, PGEventProc proc, void *data);
 
     <varlistentry id="libpq-pqresultinstancedata">
      <term>
-      <function>PQresultInstanceData</function>
+      <function id="libpq-fun-pqresultinstancedata">PQresultInstanceData</function>
       <indexterm>
        <primary>PQresultInstanceData</primary>
       </indexterm>
@@ -7301,8 +7301,8 @@ myEventProc(PGEventId evtId, void *evtInfo, void *passThrough)
   <para>
    The following environment variables can be used to select default
    connection parameter values, which will be used by
-   <function>PQconnectdb</function>, <function>PQsetdbLogin</function> and
-   <function>PQsetdb</function> if no value is directly specified by the calling
+   <xref linkend="libpq-fun-pqconnectdb"/>, <xref linkend="libpq-fun-pqsetdblogin"/> and
+   <xref linkend="libpq-fun-pqsetdb"/> if no value is directly specified by the calling
    code.  These are useful to avoid hard-coding database connection
    information into simple client applications, for example.
 
@@ -8221,7 +8221,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
    If your application initializes <literal>libssl</literal> and/or
    <literal>libcrypto</literal> libraries and <application>libpq</application>
    is built with <acronym>SSL</acronym> support, you should call
-   <function>PQinitOpenSSL</function> to tell <application>libpq</application>
+   <xref linkend="libpq-fun-pqinitopenssl"/> to tell <application>libpq</application>
    that the <literal>libssl</literal> and/or <literal>libcrypto</literal> libraries
    have been initialized by your application, so that
    <application>libpq</application> will not also initialize those libraries.
@@ -8234,7 +8234,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
    <variablelist>
     <varlistentry id="libpq-pqinitopenssl">
      <term>
-      <function>PQinitOpenSSL</function>
+      <function id="libpq-fun-pqinitopenssl">PQinitOpenSSL</function>
       <indexterm>
        <primary>PQinitOpenSSL</primary>
       </indexterm>
@@ -8253,7 +8253,7 @@ void PQinitOpenSSL(int do_ssl, int do_crypto);
        will initialize the <application>OpenSSL</application> library before first
        opening a database connection.  When <parameter>do_crypto</parameter> is
        non-zero, the <literal>libcrypto</literal> library will be initialized.  By
-       default (if <function>PQinitOpenSSL</function> is not called), both libraries
+       default (if <xref linkend="libpq-fun-pqinitopenssl"/> is not called), both libraries
        are initialized.  When SSL support is not compiled in, this function is
        present but does nothing.
       </para>
@@ -8270,7 +8270,7 @@ void PQinitOpenSSL(int do_ssl, int do_crypto);
 
     <varlistentry id="libpq-pqinitssl">
      <term>
-      <function>PQinitSSL</function>
+      <function id="libpq-fun-pqinitssl">PQinitSSL</function>
       <indexterm>
        <primary>PQinitSSL</primary>
       </indexterm>
@@ -8292,9 +8292,9 @@ void PQinitSSL(int do_ssl);
       </para>
 
       <para>
-       <function>PQinitSSL</function> has been present since
-       <productname>PostgreSQL</productname> 8.0, while <function>PQinitOpenSSL</function>
-       was added in <productname>PostgreSQL</productname> 8.4, so <function>PQinitSSL</function>
+       <xref linkend="libpq-fun-pqinitssl"/> has been present since
+       <productname>PostgreSQL</productname> 8.0, while <xref linkend="libpq-fun-pqinitopenssl"/>
+       was added in <productname>PostgreSQL</productname> 8.4, so <xref linkend="libpq-fun-pqinitssl"/>
        might be preferable for applications that need to work with older
        versions of <application>libpq</application>.
       </para>
@@ -8329,7 +8329,7 @@ void PQinitSSL(int do_ssl);
   <variablelist>
    <varlistentry id="libpq-pqisthreadsafe">
     <term>
-     <function>PQisthreadsafe</function>
+     <function id="libpq-fun-pqisthreadsafe">PQisthreadsafe</function>
      <indexterm>
       <primary>PQisthreadsafe</primary>
      </indexterm>
@@ -8370,12 +8370,12 @@ int PQisthreadsafe();
   </para>
 
   <para>
-   The deprecated functions <function>PQrequestCancel</function> and
-   <function>PQoidStatus</function> are not thread-safe and should not be
-   used in multithread programs.  <function>PQrequestCancel</function>
-   can be replaced by <function>PQcancel</function>.
-   <function>PQoidStatus</function> can be replaced by
-   <function>PQoidValue</function>.
+   The deprecated functions <xref linkend="libpq-fun-pqrequestcancel"/> and
+   <xref linkend="libpq-fun-pqoidstatus"/> are not thread-safe and should not be
+   used in multithread programs.  <xref linkend="libpq-fun-pqrequestcancel"/>
+   can be replaced by <xref linkend="libpq-fun-pqcancel"/>.
+   <xref linkend="libpq-fun-pqoidstatus"/> can be replaced by
+   <xref linkend="libpq-fun-pqoidvalue"/>.
   </para>
 
   <para>
